<?php
include_once("system/phphead.php");
?>
<!DOCTYPE html>
<html lang="en">
<head>
<?php
include_once("system/head.php");
?>
</head>
<body class="overflow-hidden">
	<!-- Overlay Div -->
	<div id="overlay" class="transparent"></div>
	<div id="wrapper" class="preload">
		<?php
		include_once("system/top-navbar.php");
		include_once("system/sidebar.php");
		?>
		<div id="main-container">
			<div id="breadcrumb">
				<ul class="breadcrumb">
					 <li><i class="fa fa-home"></i><a href="#"> داشبورد</a></li>
					 <li class="active">نیست</li>	 
				</ul>
			</div><!-- breadcrumb -->
			<div class="padding-md">

			<div class="row">
				<div class="col-md-4 col-md-offset-4 col-sm-6 col-sm-offset-3 text-center" style="direction:rtl">
					<div class="h5">متاسفانه صفحه درخواستی یافت نشد</div>
					<h1 class="m-top-none error-heading">404</h1>
					
					<p class="font-14">این صفحه یا وجود ندارد </p>
					<h4 class="text-danger"><i class="fa fa-wrench"></i> یا در حال ساخت آن هستیم</h4>
					
					<div class="m-bottom-md">از طریق جستجو صفحه مورد نظر را پیدا کنید</div>
					<div class="input-group m-bottom-md">
						<input type="text" class="form-control input-sm" placeholder="جستجو...">
						<span class="input-group-btn">
							<button class="btn btn-default btn-sm" type="button"><i class="fa fa-search"></i></button>
						</span>
					</div><!-- /input-group -->
					<a class="btn btn-success m-bottom-sm" href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/home/'; ?>"><i class="fa fa-home"></i> داشبورد</a>
					<a class="btn btn-success m-bottom-sm" href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/ticket/'; ?>"><i class="fa fa-envelope"></i> ارسال تیکت</a>
				</div><!-- /.col -->
			</div><!-- /.row -->
			
			</div>
			
		</div><!-- /main-container -->
	</div><!-- /wrapper -->

<a href="#" id="scroll-to-top" class="hidden-print"><i class="fa fa-chevron-up"></i></a>
<!-- Script -->
		<?php
		include_once("system/js.php");
		?>
</body>
</html>