<?php
include_once("system/phphead.php");
$visitors = get_visitors();
$reged_today = get_today_reged();
?>
<!DOCTYPE html>
<html lang="en">
<head>
<?php
include_once("system/head.php");
?>
<!-- Datatable -->
<link href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/css/jquery.dataTables_themeroller.css'; ?>" rel="stylesheet">
<?php
include_once("system/js.php");
?>
</head>
<body class="overflow-hidden">
	<!-- Overlay Div -->
	<div id="overlay" class="transparent"></div>
	<div id="wrapper" class="preload">
		<?php
		include_once("system/top-navbar.php");
		include_once("system/sidebar.php");
		?>
		<div id="main-container">
			<div id="breadcrumb">
				<ul class="breadcrumb">
					 <li><i class="fa fa-home"></i><a href="#"> داشبورد</a></li>
					 <li class="active">صفحه خالی</li>	 
				</ul>
			</div><!-- breadcrumb -->
			<div class="padding-md">
			
				<div class="panel panel-default">
							<div class="panel-heading">
								آمار چت روم
								<ul class="tool-bar">
									<li><a href="#collapseWidget" data-toggle="collapse"><i class="fa fa-arrows-v"></i></a></li>
								</ul>
							</div>
							<div class="panel-body no-padding collapse in" id="collapseWidget">
								<div class="padding-md">
									<div class="row">
									<div class="col-md-3 col-sm-4">
										<div class="panel panel-default panel-stat2 bg-success">
											<div class="panel-body">
												<span class="stat-icon">
													<i class="fa fa-user"></i>
												</span>
												<div class="pull-right text-right">
													<div class="value"><?php echo $user_onlines_counts['all_user_count']; ?></div>
													<div class="title">اعضا</div>
												</div>
											</div>
										</div><!-- /panel -->
									</div><!-- /.col -->									
									<div class="col-md-3 col-sm-4">
										<div class="panel panel-default panel-stat2 bg-warning">
											<div class="panel-body">
												<span class="stat-icon">
													<i class="fa fa-bar-chart-o"></i>
												</span>
												<div class="pull-right text-right">
													<div class="value"><?php echo $visitors["today_vis"]; ?></div>
													<div class="title">بازدید امروز</div>
												</div>
											</div>
										</div><!-- /panel -->
									</div><!-- /.col -->
									<div class="col-md-3 col-sm-4">
										<div class="panel panel-default panel-stat2 bg-info">
											<div class="panel-body">
												<span class="stat-icon">
													<i class="fa fa-envelope"></i>
												</span>
												<div class="pull-right text-right">
													<div class="value"><?php echo $messages["count_of_messages"]; ?></div>
													<div class="title">پیام ها</div>
												</div>
											</div>
										</div><!-- /panel -->
									</div><!-- /.col -->
									<div class="col-md-3 col-sm-4">
										<div class="panel panel-default panel-stat2 bg-danger">
											<div class="panel-body">
												<span class="stat-icon">
													<i class="fa fa-plus-square"></i>
												</span>
												<div class="pull-right text-right">
													<div class="value"><?php echo $reged_today; ?></div>
													<div class="title">عضو جدید</div>
												</div>
											</div>
										</div><!-- /panel -->
									</div><!-- /.col -->

									</div>							
								
								</div>
							</div>
							<div class="loading-overlay">
								<i class="loading-icon fa fa-refresh fa-spin fa-lg"></i>
							</div>
				</div><!-- /panel -->
						

								<div class="panel panel-default">	
									<div class="panel-heading">
										اطلاعیـه ها
										<ul class="tool-bar">
											<li><a href="#notfidiv" data-toggle="collapse"><i class="fa fa-arrows-v"></i></a></li>
										</ul>
									</div>		
									<div class="panel-body no-padding collapse in" id="notfidiv">
									<div id="chatScroll" >
										<div class="padding-md" id="chat_news">
										
										<div style="text-align:right">
										... در حال بارگزاری 
										<img src="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/img/loadajx.gif'; ?>"> 
										</div>
										<!---
										<ul class="chat">
										
											<li class="right clearfix">
												<span class="chat-img pull-right">
													<img src="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/img/nopic.jpg'; ?>" alt="User Avatar">
												</span>
												<div class="chat-body clearfix">
												<div class="header">
													<strong class="primary-font">مدیریت کل سایت</strong>
													<small class="pull-left text-muted"><i class="fa fa-clock-o"></i>  ارسال شده در 92/2/01 ساعت 8:45 دقیقه</small>
												</div>
													<p style="margin-top:10px;">
														روش خرید: برای خرید پس از کلیک روی دکمه زیر و تکمیل فرم سفارش، ابتدا محصول مورد نظر را درب منزل یا محل کار تحویل بگیرید، سپس وجه کالا و هزینه ارسال را به مامور پست بپردازید. جهت مشاهده فرم خرید، روی دکمه زیر کلیک کنید.
													</p>
												</div>
											</li>
											
											<li class="right clearfix">
												<span class="chat-img pull-right">
													<img src="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/img/nopic.jpg'; ?>" alt="User Avatar">
												</span>
												<div class="chat-body clearfix">
												<div class="header">
													<strong class="primary-font">مدیریت کل سایت</strong>
													<small class="pull-left text-muted"><i class="fa fa-clock-o"></i>  ارسال شده در 92/2/01 ساعت 8:45 دقیقه</small>
												</div>
													<p style="margin-top:10px;">
														خلاصه داستان: سواران برک (Dragons: Riders of Berk) یک مجموعه تلویزیونی و آمریکایی انیمه شده توسط کامپیوتر می باشد که در شبکه Cartoon Network پخش می شود و بر پایه فیلم How to Train Your Dragon که محصول سال ۲۰۱۰ می باشد، ساخته شده است. این مجموعه نقش یک پل بین فیلم سال ۲۰۱۰ و فیلم سال ۲۰۱۴ را دارد. قسمت اول این انیمیشن سریالی در تاریخ ۷ آگوست ۲۰۱۲ پخش شد و طبق برنامه دارای ۲ فصل ۲۰ قسمتی می باشد. داستان سریال در ادامه فیلم How to Train Your Dragon اتفاق می افتد، سواران برک، Hiccup را دنبال می کنند در حالی که او قصد نگه داشتن تعادل بین وایکینگ ها و اژدهایان را دارد. در این سریال، Hiccup، Toothless و سایر نوجوان های وایکینگ در تست هایی در آکادمی تربیت دراگون قرار داده می شوند که در آن ها شرایط به مراتب سخت تر از برک است، اژدهاهای جدید  خیلی سخت تربیت می شوند و دشمنان جدید که می خواهند رابطه بین اژدهاها و وایکینگ ها را خراب کنند و …
													</p>
												</div>
											</li>
											
											</ul>								
										-->

										<script>
										$.get("<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/g0.php'; ?>", function(data){
										 $("#chat_news").html(data);
										});
										</script>
									
									</div>
									</div>
									</div>
									
								</div><!-- /panel -->
							

						<div class="panel panel-default table-responsive">
							<div class="panel-heading">
								آخرین بازدید های ثبت شده
								<ul class="tool-bar">
									<li><a href="#visitors" data-toggle="collapse"><i class="fa fa-arrows-v"></i></a></li>
								</ul>
							</div>
							<div id="visitors">
								<div class="padding-md clearfix">
								<table class="table table-striped table-bordered table-hover" id="dataTable">
									<thead>
										<tr>
											<th>نام کاربری</th>
											<th>آِی پی</th>
											<th>مرورگر</th>
											<th>ساعت</th>
											<th>آدرس</th>
										</tr>
									</thead>
									<tbody>

											<?php
											 $visitor_conuts = count($visitors["all_visitors"]);
											 for ($i = 0 ; $i <= $visitor_conuts -1;$i++){
											?>
											<tr>

											<td>
											<?php echo ($visitors["all_visitors"][$i]['username']); ?>
											</td>											
											<td>
											<?php echo ($visitors["all_visitors"][$i]['ip']); ?>
											</td>
											<td>
											<?php echo ($visitors["all_visitors"][$i]['browser']); ?>
											</td>
											<td>
											<?php echo ($visitors["all_visitors"][$i]['time']); ?>
											</td>											
											<td style="direction:ltr;">
											<?php echo ($visitors["all_visitors"][$i]['page']); ?>
											</td>
										</tr>										
										<?php
											}
										?>										

									</tbody>
								</table>							
								</div>
							</div>
						</div><!-- /panel -->
												
			
			</div>	
		</div><!-- /main-container -->
	</div><!-- /wrapper -->

<a href="#" id="scroll-to-top" class="hidden-print"><i class="fa fa-chevron-up"></i></a>
<!-- Script -->

<!-- Slim scroll-->
<script src='<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/js/jquery.slimscroll.min.js'; ?>'></script>
<!-- Datatable -->
<script src='<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/js/jquery.dataTables.min.js'; ?>'></script>	

	<script>
		$(function()	{

			$('#dataTable').dataTable({
				"bJQueryUI": true,
				"sPaginationType": "full_numbers"
			});		
			

				
			$('#chatScroll').slimScroll({
				height: '200'
			});
		});
	</script>	
</body>
</html>