<?php
include_once("system/phphead.php");
// get Remove links ?
	if (isset($_GET['remove'])){
		if (is_numeric(trim($_GET['remove']))){
		del_link(trim($_GET['remove']));
		}
	}

// add new Link ?
	if (isset($_POST['add-new-link'])){	
		addnew_link();
	}		
?>
<!DOCTYPE html>
<html lang="en">
<head>
<?php
include_once("system/head.php");
?>
</head>
<body class="overflow-hidden">
	<!-- Overlay Div -->
	<div id="overlay" class="transparent"></div>
	<div id="wrapper" class="preload">
		<?php
		include_once("system/top-navbar.php");
		include_once("system/sidebar.php");
		?>
		<div id="main-container">
			<div id="breadcrumb">
				<ul class="breadcrumb">
					 <li><i class="fa fa-home"></i><a href="#"> داشبورد</a></li>
					 <li class="active">لینکـدونی</li>	 
				</ul>
			</div><!-- breadcrumb -->
			<div class="padding-md">
			
				<div class="panel panel-default">
						<div class="panel-heading">
							لینکـدونی
						</div>	
						<div class="panel-body" style="text-align:right;">							
				<?php
				if (!isset($_GET["add"])){
				?>
						<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/links/add/'; ?>" class="btn btn-sm btn-success" > افزودن لینک جدید <i class="fa fa-plus"></i></a>
						<p>
						<table class="table table-striped table-bordered table-hover">
							<thead>
								<tr>
									<th>#</th>
									<th>عنـوان</th>
									<th>آدرس</th>
									<th></th>
								</tr>
							</thead>
							<tbody>
							<?php
							$links = get_links();
							 $links_conuts = count($links["all_links"]);
							for ($i = 0 ; $i <= $links_conuts -1;$i++){
							?>
								<tr>
									<td><?php echo ($links["all_links"][$i]['id']); ?></td>
									<td><?php echo ($links["all_links"][$i]['subject']); ?></td>
									<td>
									<a href="<?php echo ($links["all_links"][$i]['url']); ?>" target="_blank"><?php echo ($links["all_links"][$i]['url']); ?></a>
									</td>
									<td>
										<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] ."/admin/links/remove/".$links["all_links"][$i]['id']; ?>" class="btn btn-xs btn-warning"><i class="fa fa-cut"></i></a>	
									</td>
								</tr>										
							<?php
							}
							?>
							
							</tbody>
						</table>
						</p>
					<?php
					}else{
					?>
							<form method="post" action="" enctype="multipart/form-data">
								<div class="form-group">
									<label>عنـوان</label>
									<input id="title" name="title" type="text" class="form-control input-sm" >
								</div>
								<div class="form-group">
									<label>آدرس</label>
									<input id="url" name="url" type="text" class="form-control input-sm" >
								</div>
								<div class="form-group text-right">
									<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/links/'; ?>" class="btn btn-warning">انصـراف</a>
									<button class="btn btn-success" type="submit">ثبـت اطلاعات <i class="fa fa-save fa-lg"></i></button>
									
								</div>
								<input id="add-new-link" name="add-new-link" type="hidden">
							</form>
					<?php
					}
					?>
						</div>
					</div><!-- /panel -->
							
			
			
			</div>
		</div><!-- /main-container -->
	</div><!-- /wrapper -->

<a href="#" id="scroll-to-top" class="hidden-print"><i class="fa fa-chevron-up"></i></a>
<!-- Script -->
		<?php
		include_once("system/js.php");
		?>
</body>
</html>