<?php
include_once("system/phphead.php");
?>
<!DOCTYPE html>
<html lang="en">
<head>
<?php
include_once("system/head.php");
?>
<link href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/css/jquery.dataTables_themeroller.css'; ?>" rel="stylesheet">
</head>
<body class="overflow-hidden">
	<!-- Overlay Div -->
	<div id="overlay" class="transparent"></div>
	<div id="wrapper" class="preload">
		<?php
		include_once("system/top-navbar.php");
		include_once("system/sidebar.php");
		?>
		<div id="main-container">
			<div id="breadcrumb">
				<ul class="breadcrumb">
					 <li><i class="fa fa-home"></i><a href="#"> داشبورد</a></li>
					 <li class="active">خصـوصی خـوان</li>	 
				</ul>
			</div><!-- breadcrumb -->
			<div class="padding-md">

					<div class="panel panel-default">
							<div class="panel-heading">
								مشاهده پیام های رد و بدل شده
							</div>	
							<div class="panel-body" style="text-align:right;">							
							
							<p>
							<table class="table table-striped table-bordered table-hover" id="msg_tbl" name="msg_tbl" >
								<thead>
									<tr>
										<th>فرستنده</th>
										<th>گیرنده</th>
										<th>تاریخ/ساعت</th>
										<th>متن</th>											
									</tr>
								</thead>
								<tbody>
								</tbody>
							</table>
							</p>

							</div>
						</div><!-- /panel -->
								
			</div>

		</div><!-- /main-container -->
	</div><!-- /wrapper -->

<a href="#" id="scroll-to-top" class="hidden-print"><i class="fa fa-chevron-up"></i></a>
<!-- Script -->
<?php
include_once("system/js.php");
?>
<!-- Datatable -->
<script src='<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/js/jquery.dataTables.min.js'; ?>'></script>
<script src='<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/js/chosen.jquery.min.js'; ?>'></script>
<script>
$(function(){
	$('#msg_tbl').dataTable({
		"bJQueryUI": true,
		"sPaginationType": "full_numbers",
		"bProcessing": true,
		"bServerSide": true,
		 "oLanguage": {
		"sProcessing": '<img src="' +  'http://' + location.host + '/admin/img/loadajx.gif' + '">'
		},
		"sAjaxSource": "http://"+location.host+"/admin/load-data.php?page=privatereader"			
	});
});
</script>
</body>
</html>