<?php
include_once("system/phphead.php");
if (isset($_POST['add-new-music'])){
	$addmusic_sts = addnew_music();
}
if (isset($_GET['remove'])){
	 remove_music();
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<?php
include_once("system/head.php");
?>
</head>
<body class="overflow-hidden">
	<!-- Overlay Div -->
	<div id="overlay" class="transparent"></div>
	<div id="wrapper" class="preload">
		<?php
		include_once("system/top-navbar.php");
		include_once("system/sidebar.php");
		?>
		<div id="main-container">
			<div id="breadcrumb">
				<ul class="breadcrumb">
					 <li><i class="fa fa-home"></i><a href="#"> داشبورد</a></li>
					 <li class="active">موزیک پلیــر</li>	 
				</ul>
			</div><!-- breadcrumb -->
			<div class="padding-md">

					<div class="panel panel-default">
							<div class="panel-heading">
								لیست آهنگ ها
							</div>	
							<div class="panel-body" style="text-align:right;">							
					<?php
					if (!isset($_GET["add"]) and !isset($_GET["edit"])){
					?>
							
							<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/music-player/add/'; ?>" class="btn btn-sm btn-success" > افزودن آهنگ جدید به لیست <i class="fa fa-plus"></i></a>
							<p>
							<table class="table table-striped table-bordered table-hover">
								<thead>
									<tr>
										<th>#</th>
										<th>نـام آهنگ</th>
										<th>لینکـ آهنگ</th>
										<th></th>
									</tr>
								</thead>
								<tbody>
									<?php
									$path_xmls = $_SERVER['DOCUMENT_ROOT']."/tools/musicplayer/playlist.xml";
									$mysongs = simplexml_load_file($path_xmls);
									$count_arry = count($mysongs->trackList[0]);
									for ($i=0;$i<=$count_arry-1;$i++ ){
									$url_mp3 = $mysongs->trackList[0]->track[$i]->location;
									$url_title = $mysongs->trackList[0]->track[$i]->title;
									?>
										<tr>
											<td><?php echo $i; ?></td>
											<td><?php echo $url_title; ?></td>
											<td><?php echo $url_mp3; ?></td>
											<td>
											<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/music-player/remove/'.$url_title; ?>" class="btn btn-xs btn-warning"><i class="fa fa-cut"></i></a>
											</td>
										</tr>									
									<?php
									}
									?>
								</tbody>
							</table>
							</p>
						<?php
						}else if (isset($_GET["add"])){
						?>
								<form method="post" action="" enctype="multipart/form-data">
									<div class="form-group">
										<label>نــام آهنگ</label>
										<input id="musicname" name="musicname" type="text" class="form-control input-sm" >
									</div>
									<div class="form-group">
										<label>لینک آهنگ</label>
										<input id="mp3_url" name="mp3_url" type="text" class="form-control input-sm" >
									</div>											
									<div class="form-group text-right">
										<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/music-player/'; ?>" class="btn btn-warning">انصـراف</a>
										<button class="btn btn-success" type="submit">ثبـت اطلاعات <i class="fa fa-save fa-lg"></i></button>
									</div>
									<input id="add-new-music" name="add-new-music" type="hidden">
								</form>
						<?php
						}
						?>
							</div>
						</div><!-- /panel -->
			</div>
		</div><!-- /main-container -->
	</div><!-- /wrapper -->

<a href="#" id="scroll-to-top" class="hidden-print"><i class="fa fa-chevron-up"></i></a>
<!-- Script -->
		<?php
		include_once("system/js.php");
		?>
</body>
</html>