<?php
include_once("system/phphead.php");

	// get Remove room ?
	if (isset($_GET['remove'])){
		if (is_numeric(trim($_GET['remove']))){
		del_room(trim($_GET['remove']));
		}
	}
	//add new room
	if (isset($_POST['add-new-room'])){	
		addnew_room();
	}	

	//edit room
	if (isset($_POST['edit-room'])){	
		if (is_numeric(trim($_GET['edit']))){
			$e_roomsid = $_GET['edit'];
			edit_room($e_roomsid);
		}
	}		
		
?>
<!DOCTYPE html>
<html lang="en">
<head>
<?php
include_once("system/head.php");
?>
<link href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/css/chosen/chosen.min.css'; ?>" rel="stylesheet"/>
<link href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/css/bootstrap-wysihtml5.css'; ?>" rel="stylesheet"/>
</head>
<body class="overflow-hidden">
	<!-- Overlay Div -->
	<div id="overlay" class="transparent"></div>
	<div id="wrapper" class="preload">
		<?php
		include_once("system/top-navbar.php");
		include_once("system/sidebar.php");
		?>
		<div id="main-container">
			<div id="breadcrumb">
				<ul class="breadcrumb">
					 <li><i class="fa fa-home"></i><a href="#"> داشبورد</a></li>
					 <li class="active">مـدیریت اتـاق های چت روم</li>	 
				</ul>
			</div><!-- breadcrumb -->
			<div class="padding-md">
			
					<div class="panel panel-default">
							<div class="panel-heading">
								مـدیریت اتـاق های چت روم
							</div>	
							<div class="panel-body" style="text-align:right;">							
					<?php
					if (!isset($_GET["add"]) and !isset($_GET["edit"])){
					?>
							
								<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/rooms/add/'; ?>" class="btn btn-sm btn-success" > افـزدون اتـاق جدید <i class="fa fa-plus"></i></a>
							<p>
							<table class="table table-striped table-bordered table-hover">
								<thead>
									<tr>
										<th>#</th>
										<th>عنـوان</th>
										<th>حفـاظت</th>
										<th>تعداد افراد آنلاین</th>
										<th>اتاق پیشفرض</th>
										<th></th>
									</tr>
								</thead>
								<tbody>
									<?php
									$allroom_names = get_rooms();
									$rooms_conuts = count($allroom_names["all_roomss"]);
									for ($i = 0 ; $i <= $rooms_conuts -1;$i++){
									?>
										<tr>
											<td><?php echo $allroom_names["all_roomss"][$i]['id_room'];  ?></td>
											<td><?php echo $allroom_names["all_roomss"][$i]['roomname'];  ?></td>
											<td>
											<?php 
											$mod = $allroom_names["all_roomss"][$i]['room_goup'];
											switch ($mod)
											{
											case 0:
											echo '<span class="label label-success">همه کاربران</span>';
											break;
											case 1:
											echo '<span class="label label-warning">مدیران و ناظران</span>';
											break;
											case 2:
											echo '<span class="label label-warning">فقط مدیران</span>';
											break;											
											case 3:
											echo '<span class="label label-danger">رمزگذاری شده</span>';
											break;											
											}
											?>											
											</td>
											<td>
											<?php 
											$roomid = $allroom_names["all_roomss"][$i]['id_room'];
											$sql_online = mysql_num_rows(mysql_query("SELECT onlineid FROM my_useronline where fid_room = '$roomid'"));
											echo  '<span class="badge">'.$sql_online.'</span>';
											?>
											</td>
											<td>
											<?php
											$defult = $allroom_names["all_roomss"][$i]['id_room'];
											switch ($defult)
											{
											case 1:
											echo '<span class="label label-success">بلــه</span>';
											break;
											default:
											echo '<span class="label label-info">خـیر</span>';
											}
											?>	
											</td>
											<td>
											<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/rooms/edit/'.$allroom_names["all_roomss"][$i]['id_room']; ?>" class="btn btn-xs btn-success"><i class="fa fa-edit"></i></a>
											<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/rooms/remove/'.$allroom_names["all_roomss"][$i]['id_room']; ?>" class="btn btn-xs btn-warning"><i class="fa fa-cut"></i></a>
											</td>
										</tr>									
									<?php
									}
									?>
								</tbody>
							</table>
							</p>
						<?php
						}else if (isset($_GET["add"])){
						?>
								<form method="post" action="">
									<div class="form-group">
										<label>نـام اتاق</label>
										<input id="room_name" name="room_name" type="text" class="form-control input-sm" >
									</div>
									<div class="form-group">
										<label>دستـرسی کاربران</label>
										<select id="group_room" name="group_room" class="form-control chzn-select">
											<option value="0">تمام کاربران</option>
											<option value="1">مـدیران و ناظران</option>
											<option value="3">رمـز دلخواه</option>
										</select>
									</div>									
									<div id="room_pw" name="room_pw" class="form-group" style="display:none">
										<label>رمـز دلخواه اتاق را وارد کنید</label>
										<input id="room_pw" name="room_pw" type="password" class="form-control input-sm" >
									</div>		
									<div class="form-group" style="direction:rtl;">
										<label class="label-checkbox">
											<input id="chk_def" name="chk_def" type="checkbox">
											<span class="custom-checkbox"></span>
											اتـاق پیشفرض بـاشد
										</label>
									</div>	
									<div class="form-group" style="">
										<label>پیـام خوش آمد گویی</label>
										<div class="col-lg-10">
										<textarea id="pmroom" name="pmroom" placeholder="پیـام خوش آمد گویی خود را وارد کنید" class="form-control" rows="6"></textarea>
										</div>
									</div>									

									
									<div class="form-group text-right">
										<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/rooms/'; ?>" class="btn btn-warning">انصـراف</a>
										<button class="btn btn-success" type="submit">ثبـت اطلاعات <i class="fa fa-save fa-lg"></i></button>
										
									</div>
									<input id="add-new-room" name="add-new-room" type="hidden">	
								</form>
						<?php
						}else if (isset($_GET['edit'])){
						
								$redit_id = strip_html_tags(trim($_GET['edit']));
								$mysql2 = mysql_fetch_array(mysql_query("SELECT * FROM my_rooms WHERE id_room = '$redit_id'"));
								$edit_roomname = $mysql2['roomname'];
								$edit_roommid = $mysql2['id_room'];
								$edit_roommod = $mysql2['room_goup'];
								$edit_roompw = $mysql2['room_pw'];
								$edit_roommsg = $mysql2['room_message'];
						?>
								<form method="post" action="">
									<div class="form-group">
										<label>نـام اتاق</label>
										<input id="room_name" name="room_name" type="text" class="form-control input-sm" value="<?php echo $edit_roomname; ?>">
									</div>
									<div class="form-group">
										<label>دستـرسی کاربران</label>
										<select id="group_room" name="group_room" class="form-control chzn-select">
											<option value="0">تمام کاربران</option>
											<option value="1">مـدیران و ناظران</option>
											<option value="3">رمـز دلخواه</option>
										</select>
									</div>									
									<div id="room_pw" name="room_pw" class="form-group" style="display:none">
										<label>رمـز دلخواه اتاق را وارد کنید</label>
										<input id="room_pw" name="room_pw" type="password" class="form-control input-sm" value="<?php echo $edit_roompw; ?>">
									</div>		
									<div class="form-group" style="direction:rtl;">
										<label class="label-checkbox">
											<input id="chk_def" name="chk_def" type="checkbox" <?php if ($edit_roommid == 1) echo 'checked'; ?>>
											<span class="custom-checkbox"></span>
											اتـاق پیشفرض بـاشد
										</label>
									</div>	
									<div class="form-group" style="">
										<label>پیـام خوش آمد گویی</label>
										<div class="col-lg-10">
										<textarea id="pmroom" name="pmroom" placeholder="پیـام خوش آمد گویی خود را وارد کنید" class="form-control" rows="6"><?php echo $edit_roommsg; ?></textarea>
										</div>
									</div>									

									
									<div class="form-group text-right">
										<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/rooms/'; ?>" class="btn btn-warning">انصـراف</a>
										<button class="btn btn-success" type="submit">ثبـت اطلاعات <i class="fa fa-save fa-lg"></i></button>
										
									</div>
									<input id="edit-room" name="edit-room" type="hidden">	
								</form>						
						<?php
						}
						?>						
							</div>
						</div><!-- /panel -->
									
			</div>
		</div><!-- /main-container -->
	</div><!-- /wrapper -->

<a href="#" id="scroll-to-top" class="hidden-print"><i class="fa fa-chevron-up"></i></a>

<!-- Script -->
<?php
include_once("system/js.php");
?>
<script src='<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/js/chosen.jquery.min.js'; ?>'></script>
<script src='<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/js/wysihtml5-0.3.0.min.js'; ?>'></script>	
<script src='<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/js/uncompressed/bootstrap-wysihtml5.js'; ?>'></script>	
<script>
$(function(){
		
		
		var editroom_mode = '<?php echo @$edit_roommod; ?>';
		switch (editroom_mode){
		
			case "0":
			$('#group_room').val(0);
			break;
			case "1":
			$('#group_room').val(1);
			break;			
			case "3":
			$('#group_room').val(3);
			$("#room_pw").css("display","block");
			break;					
		}
		
		$(".chzn-select").chosen();		
		$('#pmroom').wysihtml5();
		$("#group_room").change(function() {
			
			var chz_val = $(this).val();
			if (chz_val == 3){
				$("#room_pw").css("display","block");
			}else{
				$("#room_pw").css("display","none");
			}
		});
		



});	
</script>
</body>
</html>