<?php
class ads extends DbConectionMaker
{
	public function __construct (){

		parent::__construct();
		header('Cache-Control: no-store, no-cache, must-revalidate, pre-check=0, post-check=0, max-age=0');
		header('content-type: application/json; charset=utf-8');

		if (isset($_POST["page"])){
			$page = $this->cleantxts($_POST["page"]);
		}else{
			$page = "into";
		}

		$now_date = date("Y-m-d");
		$rclicks = $this->dbObj->sqlGet("SELECT usrsallowpm FROM my_config");
		$codes = $this->dbObj->sqlGet("SELECT * FROM my_codes WHERE page = '$page'");
		$ads = $this->dbObj->sqlGet("SELECT * FROM my_ads WHERE page = '$page' and (expire = 1 or expire < '$now_date')");

		$code=array();
		for ($a=0; $a < count($codes); $a++){
			$code[$a]["location"]=addslashes($codes[$a][3]);
			$code[$a]["code"]=($codes[$a][4]);
		}


		$ads_json=array();
		for ($a=0; $a < count($ads); $a++){
			$ads_json[$a]["id"]=addslashes($ads[$a][0]);
			$ads_json[$a]["type"]=addslashes($ads[$a][4]);
			$ads_json[$a]["url"]=addslashes($ads[$a][3]);
			$ads_json[$a]["location"]=addslashes($ads[$a][5]);
			$ads_json[$a]["inputs"]["closeable"]=addslashes($ads[$a][8]);
			$ads_json[$a]["inputs"]["banner"]=addslashes($ads[$a][9]);
		}
		$users_allowed = preg_split("/[\s,]+/", $rclicks[0][0]);
		echo  "{\"codes\":".json_encode($code).",\"ads\":".json_encode($ads_json).",\"rightclick\":".json_encode($users_allowed)."}";
		
		$this->dbObj->close();
	}
	
	public function cleantxts($txt){
		$search = array('@<script[^>]*?>.*?</script>@si',  // Strip out javascript 
					   '@<[\/\!]*?[^<>]*?>@si',            // Strip out HTML tags 
					   '@<style[^>]*?>.*?</style>@siU',    // Strip style tags properly 
					   '@<![\s\S]*?--[ \t\n\r]*>@'         // Strip multi-line comments including CDATA
		); 
		$text = preg_replace($search, '', $txt); 
		$text=str_replace("'","",$text);
		$text=addslashes($text);
		$text = strip_tags(trim($text));
		return $text; 
	}			
}