<?php
class get extends DbConectionMaker
{
	public function __construct (){ 
		parent::__construct(); 
		if(session_id() == '') session_start();
		header('Cache-Control: no-store, no-cache, must-revalidate, pre-check=0, post-check=0, max-age=0');
		header('content-type: application/json; charset=utf-8');
		
		if (!isset($_SESSION[$this->_prefix.'username'])){
			echo "login";
			return false;
		}
		
		// create new Blacklist Object
		$blackListObj = new Blacklist($this->dbObj);
		// Is the curent user IP in zhe Blacklist or has the user browser an actual "black cookie"?
		if ($blackListObj->userInBlacklist()){
			if ($blackListObj->allowedToAndSetCookie()){ 
				$blackListObj->killUserSession();
				$this->errorOutput("blacklist");
				return false;
			}
		}

		//---------          
		if (isset($_POST["into"]) && isset($_POST["text"]) && isset($_POST["to"]) && !empty($_SESSION[$this->_prefix.'user_id'])){
			
			 // 1 -  ʘ			
			if(isset($_SESSION[$this->_prefix.'my_last_message']) && $_SESSION[$this->_prefix.'my_last_message'] == $_POST['text']){
				return false;
			}
			$_SESSION[$this->_prefix.'my_last_message'] = $_POST['text'];
			
			// 2 - Protect MSG Sql Inject
			$this->messageTransformer();
			
			$my_color = htmlentities($_POST['c'], ENT_QUOTES, "UTF-8");
			$my_bold  = htmlentities($_POST['b'], ENT_QUOTES, "UTF-8");
			$my_italic = htmlentities($_POST['i'], ENT_QUOTES, "UTF-8");
			$pos1 = strrpos($my_color, ";");
			$pos2 = strrpos($my_bold, ";");
			$pos3 = strrpos($my_italic, ";");
			if ($pos1 === false and $pos2 === false and $pos3 === false ) {
				$style = "color:".htmlentities($_POST['c'], ENT_QUOTES, "UTF-8").";font-weight:".htmlentities($_POST['b'], ENT_QUOTES, "UTF-8").";font-style:".htmlentities($_POST['i'], ENT_QUOTES, "UTF-8").";";
			}else{
				$style = "color:#FF0000;font-weight:bold;font-style:normal";
			}	
			
			// 3 -  
			if ($_POST["into"] == "main"){
			
				$this->dbObj->sqlSet("INSERT INTO {$this->_prefix}messages (msg_user_fid,msg_text,msg_text_css, msg_timestamp,msg_fid_room,msg_privat,msg_user_ip)
				VALUES ( '".$_SESSION[$this->_prefix.'user_id']."', '".$_POST['text']."', '".$style."', ".date('U').", ".(int)$_POST['ro']." , ".(int)$_POST['to'].", '".$_SERVER['REMOTE_ADDR']."')");
				
			}else if ($_POST["into"] == "pm"){
			
				$this->dbObj->sqlSet("INSERT INTO {$this->_prefix}messages (msg_user_fid,msg_text,msg_text_css, msg_timestamp,msg_fid_room,msg_privat,msg_user_ip)
				VALUES ( '".$_SESSION[$this->_prefix.'user_id']."', '".$_POST['text']."', '".$style."', ".date('U').", '0' , ".(int)$_POST['to'].", '".$_SERVER['REMOTE_ADDR']."')");
				
			}
		
		}

		//            
		
		// Get room array
		$raum_array = $this->getRoomArray();
		if (!is_array($raum_array)) return false;
		
		// all needed Userdata for current user
		$user_array=$this->dbObj->sqlGet("SELECT user_id,username,userprivilegien,usersex,avatar FROM {$this->_prefix}user where user_id = ".(int)$_SESSION[$this->_prefix.'user_id']);
		
		if (!is_array($user_array)){
			$this->errorOutput("exit");
			return false;
		}
		
		// Update etchat_useronline if the session exists or create a new dataset in the table
		$user_params = $this->refreshUserSession($user_array, $raum_array, $_SERVER['REMOTE_ADDR']);

		$this->makeJsonOutput($this->selectMessagesForTheUser(),$user_params);
	}


	//Creates the JSON-Output for AJAX-Request 
	private function makeJsonOutput($feld,$params){
	
		$ausgabeJSON_Inhalt=array();
		$ausgabeJSON_Anfang = "{\"data\":[";
		// JSON creation
		if (is_array($feld)){
			for ($a=0; $a < count($feld); $a++){
				// Blocking if the opponent user that is in the blocklist of user own session
				//if (!$this->blockiere($feld[$a][6],$feld[$a][5])){
					
					// outputed messages counter, is used as a continuous message id in chat.js
					//$message2send = addslashes(StaticMethods::filtering($feld[$a][2], $sml, $this->_prefix));
					$message2send = addslashes($feld[$a][2]);
					
					// private messages in extra window
					if ($feld[$a][5]!= "-1") {
						//$message2send = substr($message2send, 8, strlen($message2send));
						$normal_message_counter = "";
					}
					else {
						$_SESSION[$this->_prefix.'count']++;
						$normal_message_counter = $_SESSION[$this->_prefix.'count'];
					}
					
					$ausgabeJSON_Inhalt[] = "{\"id\":\"".$normal_message_counter."\",\"user\":\"".(addslashes($feld[$a][1]))."\",\"user_id\":\"".(addslashes($feld[$a][6]))."\",\"message\":\"".$message2send."\",\"time\":\"".date("H:i",$feld[$a][3])."\",\"privat\":\"".$feld[$a][5]."\",\"css\":\"".$feld[$a][7]."\",\"priv\":\"".$feld[$a][8]."\",\"avatar\":\"".$feld[$a][10]."\",\"sex\":\"".$feld[$a][9]."\"}";
				//}
			}
		}
		if ($params != "null"){
		$ausgabeJSON_Ende ="],\"silent\":\"".$params[0][4]."\",\"exit\":\""."false"."\",\"clear\":\"".$params[0][1]."\",\"alert\":\"".$params[0][2]."\",\"refresh\":\"".$params[0][3]."\"}";
		}else{
		$ausgabeJSON_Ende ="],\"silent\":\"".""."\",\"exit\":\""."false"."\",\"clear\":\"".""."\",\"alert\":\"".""."\",\"refresh\":\"".""."\"}";
		}		
		// close DB connection
		$this->dbObj->close();
		// make JSON-Output
		//if (count($ausgabeJSON_Inhalt)>0) echo $ausgabeJSON_Anfang.implode(",", $ausgabeJSON_Inhalt).$ausgabeJSON_Ende;
		 echo $ausgabeJSON_Anfang.implode(",", $ausgabeJSON_Inhalt).$ausgabeJSON_Ende;
	}
	
	private function refreshUserSession($user_array, $raum_array, $user_param_all){
	
		$user_onlineid = $this->dbObj->sqlGet("SELECT onlineid,clear,alert,refresh,silent FROM {$this->_prefix}useronline where onlineuser_fid = ".(int)$_SESSION[$this->_prefix.'user_id']);
		// Create allertes
		
		// if the usersession was created and is now existing
		if(is_array($user_onlineid)){
			
			$this->dbObj->sqlSet("UPDATE {$this->_prefix}useronline SET
			onlineuser_fid = ".$user_array[0][0].",
			onlinetimestamp = ".date('U').",
			onlineip = '".$user_param_all."',
			fid_room = ".$raum_array[0][0].",
			user_online_room_goup = ".$raum_array[0][2].",
			user_online_room_name = '".$raum_array[0][1]."',
			user_online_user_name = '".$user_array[0][1]."',
			user_online_user_priv = '".$user_array[0][2]."',
			user_online_user_sex = '".$user_array[0][3]."',
			avatar = '".$user_array[0][4]."',
			refresh = '0',
			alert = '',
			clear = '0'
			WHERE onlineid = ".$user_onlineid[0][0]);
		}else {
			$this->dbObj->sqlSet("INSERT INTO {$this->_prefix}useronline (onlineuser_fid,onlinetimestamp,onlineip, fid_room,user_online_room_goup,user_online_room_name,user_online_user_name,user_online_user_priv, user_online_user_sex,avatar)
				VALUES ( '".$user_array[0][0]."', ".date('U').", '".$user_param_all."', ".$raum_array[0][0].", ".$raum_array[0][2].", '".$raum_array[0][1]."', '".$user_array[0][1]."', '".$user_array[0][2]."', '".$user_array[0][3]."', '".$user_array[0][4]."')");
			
			// if user shoul be invisible on enter
			if ($_SESSION[$this->_prefix.'invisible_on_enter'] == true && $_SESSION["my_mode"] == '1' ){
				$this->dbObj->sqlSet("UPDATE {$this->_prefix}useronline SET 
				user_online_user_status_img = 'status_invisible'
				WHERE onlineuser_fid = ".(int)$_SESSION[$this->_prefix.'user_id']);
			}
		}
		if(is_array($user_onlineid)){
			return $user_onlineid;
		}else{
			return "null";
		}
	}


	private function getRoomArray(){
		// Get room Array
		$room_val =(int)$_SESSION["my_roomval"];
		$raum_array=$this->dbObj->sqlGet("SELECT id_room,roomname,room_goup,room_message FROM {$this->_prefix}rooms where id_room = '$room_val' ");
		// Checks if the posted roomID exists now, it could be just deleted by admin
		if (!is_array($raum_array)) {
			$raum_array=$this->dbObj->sqlGet("SELECT id_room,roomname,room_goup,room_message FROM {$this->_prefix}rooms where id_room = 1");
		}
		else{
			// who ist allowed to visit this room
			$room_allowed=new RoomAllowed($raum_array[0][2], $raum_array[0][0]);
			if ($room_allowed->room_status!=1){
				$raum_array=$this->dbObj->sqlGet("SELECT id_room,roomname,room_goup FROM {$this->_prefix}rooms where id_room = 1");
			}
		}
		return $raum_array;
	}


	private function errorOutput($message=0){
		echo $message; 
		$this->dbObj->close();
	}

	
	/**
	* Creates a dataset with all needed messages for the user
	*
	* @uses ConnectDB::sqlGet()	
	* @uses ConnectDB::sqlSet()
	* @return Array
	*/
	private function selectMessagesForTheUser(){
		
		$room_val = (int)$_SESSION["my_roomval"];

		// on first message / on entrance
		if (empty($_SESSION[$this->_prefix.'last_id'])) {
			if (isset($_SESSION[$this->_prefix.'sys_messages']) && !$_SESSION[$this->_prefix.'sys_messages']){
				$where_sys_messages = "(msg_user_fid<>-1 or (msg_user_fid=-1 and msg_privat=".$_SESSION[$this->_prefix.'user_id'].")) and ";
				$this->_messages_shown_on_entrance--;
			}
			
			// checks if the own last_id is realy the last one
            $counted_ids=$this->dbObj->sqlGet("SELECT count(msg_id) FROM {$this->_prefix}messages WHERE msg_id > ".$_SESSION[$this->_prefix.'my_first_mess_id']. " and (msg_fid_room = ".$room_val." or msg_fid_room = 0) and (msg_privat=-1 or msg_privat=".$_SESSION[$this->_prefix.'user_id'].")");
			if (is_array($counted_ids) && $counted_ids[0][0]>=$this->_messages_shown_on_entrance) $this->_messages_shown_on_entrance+=$counted_ids[0][0];
			
			// get all messages
			$feld=$this->dbObj->sqlGet("SELECT msg_id,username, msg_text,msg_timestamp,msg_fid_room,msg_privat, user_id,msg_text_css,userprivilegien,usersex,avatar FROM {$this->_prefix}messages, {$this->_prefix}user where (msg_fid_room = ".$room_val." or msg_fid_room = 0 or msg_privat=".$_SESSION[$this->_prefix.'user_id'].") and ".$where_sys_messages."
				(msg_privat=-1 or msg_privat=".$_SESSION[$this->_prefix.'user_id']." or msg_user_fid=".$_SESSION[$this->_prefix.'user_id'].") and user_id=msg_user_fid ORDER BY msg_id DESC LIMIT ".$this->_messages_shown_on_entrance);
			
			// Set last DB id
			$_SESSION[$this->_prefix.'last_id'] = $feld[0][0];
			
			if (is_array($feld)){
			$feld = array_reverse($feld);
			}
			
		}
		else {
	
			if (isset($_SESSION[$this->_prefix.'sys_messages']) && !$_SESSION[$this->_prefix.'sys_messages']){
				$where_sys_messages = "(msg_user_fid<>-1 or (msg_user_fid=-1 and msg_privat=".$_SESSION[$this->_prefix.'user_id'].")) and ";
			}	
				
				// get all messages
				$feld=$this->dbObj->sqlGet("SELECT msg_id,username,msg_text,msg_timestamp,msg_fid_room,msg_privat, user_id,msg_text_css,userprivilegien,usersex,avatar FROM {$this->_prefix}messages,{$this->_prefix}user WHERE (msg_fid_room = ".$room_val." or msg_fid_room = 0 or msg_privat=".$_SESSION[$this->_prefix.'user_id'].")
				and msg_id > ".$_SESSION[$this->_prefix.'last_id']." and ".$where_sys_messages."
				(msg_privat=-1 or msg_privat=".$_SESSION[$this->_prefix.'user_id']." or msg_user_fid=".$_SESSION[$this->_prefix.'user_id'].")
				and user_id=msg_user_fid ORDER BY msg_id ");
			
			if (is_array($feld)) $_SESSION[$this->_prefix.'last_id']= $feld[(count($feld)-1)][0];
			else
			{
				$id=$this->dbObj->sqlGet("SELECT msg_id FROM {$this->_prefix}messages ORDER BY msg_id DESC LIMIT 1");
				$_SESSION[$this->_prefix.'last_id']=$id[0][0];
			}
		}
		return $feld;
	}


	
	/**
	* Blocking if the opponent user that is in the blocklist of user own session
	*
	* @param int $user_id 
	* @param int $privat_id 
	* @return void
	*/
	private function blockiere($user_id, $privat_id){
		if (is_array ($_SESSION[$this->_prefix.'block_all']) && in_array($user_id, $_SESSION[$this->_prefix.'block_all'])) return true;
		if (is_array ($_SESSION[$this->_prefix.'block_priv']) && in_array($user_id, $_SESSION[$this->_prefix.'block_priv']) && $privat_id==$_SESSION[$this->_prefix.'user_id']) return true;
	}


	private function messageTransformer(){
		$_POST['text'] =substr($_POST['text'], 0, 1000);
		$_POST['text'] = addslashes($_POST['text']);
		if (strlen($_POST['text'])>999) $_POST['text'] .="...";

		$woerter_array=explode(" ",$_POST['text']);
		foreach($woerter_array as $wort){
			if (strlen($wort)>50 && substr($wort, 0, 7)!="http://" && substr($wort, 0, 8)!="https://" && substr($wort, 0, 6)!="ftp://" && stripos($wort, ']http://')===false){
				$new_wort = wordwrap( $wort, 50, " ", 1);
				$_POST['text'] = str_replace($wort, $new_wort, $_POST['text']);
			}
		}
		$_POST['text'] = htmlspecialchars(str_replace("\\","\\\\",$_POST['text']), ENT_QUOTES, "UTF-8");
	}	
}		