<?php
include_once("system/phphead.php");
	// get Remove  ?
	if (isset($_GET['remove'])){
		if (is_numeric(trim($_GET['remove']))){
		del_badword(trim($_GET['remove']));
		}
	}
	
	//add new 
	if (isset($_POST['add-new-badword'])){	
		addnew_badword();
	}
	
	if (isset($_GET['removeall'])){	
		del_all_badwords();		
	}	
?>
<!DOCTYPE html>
<html lang="en">
<head>
<?php
include_once("system/head.php");
?>
</head>
<body class="overflow-hidden">
	<!-- Overlay Div -->
	<div id="overlay" class="transparent"></div>
	<div id="wrapper" class="preload">
		<?php
		include_once("system/top-navbar.php");
		include_once("system/sidebar.php");
		?>
		<div id="main-container">
			<div id="breadcrumb">
				<ul class="breadcrumb">
					 <li><i class="fa fa-home"></i><a href="#"> داشبورد</a></li>
					 <li class="active">کلـمات زشت</li>	 
				</ul>
			</div><!-- breadcrumb -->
			<div class="padding-md">

				<div class="panel panel-default">
						<div class="panel-heading">
							کلـمات زشت
						</div>	
						<div class="panel-body" style="text-align:right;">							
				<?php
				if (!isset($_GET["add"])){
				?>
							<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/badwords/removeall/'; ?>" class="btn btn-sm btn-danger" > حذف تمام کلمات <i class="fa fa-cut"></i></a>
							<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/badwords/add/'; ?>" class="btn btn-sm btn-success" > افـزودن کلمه جدید <i class="fa fa-plus"></i></a>
						<p>
						<table class="table table-striped table-bordered table-hover">
							<thead>
								<tr>
									<th>#</th>
									<th>کلـمه</th>
									<th>کلمه جایگزین</th>
									<th></th>
								</tr>
							</thead>
							<tbody>
							<?php
								 $allbadwords = get_badwords();
								 $badwords_conuts = count($allbadwords["all_badwords"]);
								 for ($i = 0 ; $i <= $badwords_conuts -1;$i++){
								?>
								<tr>
								<td>
								<?php echo ($allbadwords["all_badwords"][$i]['id']); ?>
								</td>									
								<td>
								<?php echo ($allbadwords["all_badwords"][$i]['word']); ?>
								</td>											
								<td>
								<?php echo ($allbadwords["all_badwords"][$i]['filter']); ?>
								</td>
								<td>
								<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] ."/admin/badwords/remove/".$allbadwords["all_badwords"][$i]['id']; ?>" class="btn btn-xs btn-warning"><i class="fa fa-cut"></i></a>
								</td>
							</tr>										
							<?php
							}
							?>							
							</tbody>
						</table>
						</p>
					<?php
					}else{
					?>
							<form method="post" action="" >
								<div class="form-group">
									<label>کلـمه</label>
									<input id="word" name="word" type="text" class="form-control input-sm" >
								</div>

								<div class="form-group">
									<label>کلمه جایگزین</label>
									<input id="filter" name="filter" type="text" class="form-control input-sm" >
								</div>												
								<div class="form-group text-right">
									<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/badwords/'; ?>" class="btn btn-warning">انصـراف</a>
									<button class="btn btn-success" type="submit">ثبـت اطلاعات <i class="fa fa-save fa-lg"></i></button>
									
								</div>
								<input id="add-new-badword" name="add-new-badword" type="hidden">
							</form>
					<?php
					}
					?>
						</div>
					</div><!-- /panel -->
							


		</div>

		</div><!-- /main-container -->
	</div><!-- /wrapper -->

<a href="#" id="scroll-to-top" class="hidden-print"><i class="fa fa-chevron-up"></i></a>
<!-- Script -->
		<?php
		include_once("system/js.php");
		?>
</body>
</html>