<?php
include_once("system/phphead.php");
// Edit icons
if (isset($_POST["edit-icons"])){
	edit_frmicons();
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<?php
include_once("system/head.php");
?>
</head>
<body class="overflow-hidden">
	<!-- Overlay Div -->
	<div id="overlay" class="transparent"></div>
	<div id="wrapper" class="preload">
		<?php
		include_once("system/top-navbar.php");
		include_once("system/sidebar.php");
		?>
		<div id="main-container">
			<div id="breadcrumb">
				<ul class="breadcrumb">
					 <li><i class="fa fa-home"></i><a href="#"> داشبورد</a></li>
					 <li class="active">آیکون های کادر ارسال</li>	 
				</ul>
			</div><!-- breadcrumb -->
			<div class="padding-md">
					<div class="panel panel-default">
							<div class="panel-heading">
								مدیریت آیکون های کادر ارسال
							</div>	
							<div class="panel-body" style="text-align:right;">
								<form method="post" action="" enctype="multipart/form-data" class="form-border">
								
									<div class="form-group">
										<label>آیکون ارسـال</label>
										<div class="upload-file">
										<input type="file" id="icon-send" name="icon-send" class="upload-demo">
										<label data-title="انتخاب فایل" for="icon-send">
										<span data-title="هیچ فایلی انتخاب  نشده است"></span>
										</label>
										</div>
									</div>	
									<div class="form-group">
										<label>آیکون شکلک ها</label>
										<div class="upload-file">
										<input type="file" id="icon-smilies" name="icon-smilies" class="upload-demo">
										<label data-title="انتخاب فایل" for="icon-smilies">
										<span data-title="هیچ فایلی انتخاب  نشده است"></span>
										</label>
										</div>
									</div>			
									<div class="form-group">
										<label>آیکون رنگ فونت</label>
										<div class="upload-file">
										<input type="file" id="icon-fonts" name="icon-fonts" class="upload-demo">
										<label data-title="انتخاب فایل" for="icon-fonts">
										<span data-title="هیچ فایلی انتخاب  نشده است"></span>
										</label>
										</div>
									</div>	
									<div class="form-group">
										<label>آیکون تنظیمات</label>
										<div class="upload-file">
										<input type="file" id="icon-settings" name="icon-settings" class="upload-demo">
										<label data-title="انتخاب فایل" for="icon-settings">
										<span data-title="هیچ فایلی انتخاب  نشده است"></span>
										</label>
										</div>
									</div>	
									<div class="form-group">
										<label>آیکون فال</label>
										<div class="upload-file">
										<input type="file" id="icon-fal" name="icon-fal" class="upload-demo">
										<label data-title="انتخاب فایل" for="icon-fal">
										<span data-title="هیچ فایلی انتخاب  نشده است"></span>
										</label>
										</div>
									</div>										
									<div class="form-group">
										<label>آیکون امتیازات</label>
										<div class="upload-file">
										<input type="file" id="icon-ranks" name="icon-ranks" class="upload-demo">
										<label data-title="انتخاب فایل" for="icon-ranks">
										<span data-title="هیچ فایلی انتخاب  نشده است"></span>
										</label>
										</div>
									</div>	
									<div class="form-group">
										<label>آیکون بازی</label>
										<div class="upload-file">
										<input type="file" id="icon-game" name="icon-game" class="upload-demo">
										<label data-title="انتخاب فایل" for="icon-game">
										<span data-title="هیچ فایلی انتخاب  نشده است"></span>
										</label>
										</div>
									</div>	
									<div class="form-group">
										<label>آیکون عشق شنج</label>
										<div class="upload-file">
										<input type="file" id="icon-love" name="icon-love" class="upload-demo">
										<label data-title="انتخاب فایل" for="icon-love">
										<span data-title="هیچ فایلی انتخاب  نشده است"></span>
										</label>
										</div>
									</div>
									<div class="form-group">
										<label>آیکون پاک کن</label>
										<div class="upload-file">
										<input type="file" id="icon-eraser" name="icon-eraser" class="upload-demo">
										<label data-title="انتخاب فایل" for="icon-eraser">
										<span data-title="هیچ فایلی انتخاب  نشده است"></span>
										</label>
										</div>
									</div>									
									<div class="form-group">
										<label>آیکون پنل مدیریت</label>
										<div class="upload-file">
										<input type="file" id="icon-panel" name="icon-panel" class="upload-demo">
										<label data-title="انتخاب فایل" for="icon-panel">
										<span data-title="هیچ فایلی انتخاب  نشده است"></span>
										</label>
										</div>
									</div>	
									<div class="form-group">
										<label>آیکون خروج</label>
										<div class="upload-file">
										<input type="file" id="icon-logout" name="icon-logout" class="upload-demo">
										<label data-title="انتخاب فایل" for="icon-logout">
										<span data-title="هیچ فایلی انتخاب  نشده است"></span>
										</label>
										</div>
									</div>									
								
									<div class="form-group text-right">
										<button class="btn btn-success" type="submit">ثبـت اطلاعات <i class="fa fa-save fa-lg"></i></button>
									</div>
									<input id="edit-icons" name="edit-icons" type="hidden">
								</form>
							</div>
						</div><!-- /panel -->
			</div>
		</div><!-- /main-container -->
	</div><!-- /wrapper -->

<a href="#" id="scroll-to-top" class="hidden-print"><i class="fa fa-chevron-up"></i></a>
<!-- Script -->
<?php
include_once("system/js.php");
?>
</body>
</html>