<?php
include_once("system/phphead.php");

$sent_result = false;
if (isset($_POST['msgsendtousers'])){
	$pmformat = strip_html_tags(trim($_POST['pmformat']));
	if ($pmformat == 'priviat'){
	$sent_result = sendmsg('user');
	}else if ($pmformat == 'public'){
	$sent_result = sendmsg('public');
	}
	
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<?php
include_once("system/head.php");
?>
<link href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/css/chosen/chosen.min.css'; ?>" rel="stylesheet"/>
<link rel="stylesheet" href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/css/colpick.css'; ?>" />
</head>
<body class="overflow-hidden">
	<!-- Overlay Div -->
	<div id="overlay" class="transparent"></div>
	<div id="wrapper" class="preload">
		<?php
		include_once("system/top-navbar.php");
		include_once("system/sidebar.php");
		?>
		<div id="main-container">
			<div id="breadcrumb">
				<ul class="breadcrumb">
					 <li><i class="fa fa-home"></i><a href="#"> داشبورد</a></li>
					 <li class="active">ارسال پیام گروهی</li>	 
				</ul>
			</div><!-- breadcrumb -->
			<div class="padding-md">
			
				<div class="panel panel-default">
						<div class="panel-heading">
							ارسال پیام گروهی به کاربران آنلاین
						</div>	
						<div class="panel-body" style="text-align:right;">							
						<?php
						if ($sent_result == "error"){
						?>		
						<div class="alert alert-warning">
							<strong> نتیجه : </strong> پیـام شما ارسال نشد - این خطا ممکن است به دلیل عدم وجود اسم فرستنده باشد
						</div>							
						<?php
						}elseif ($sent_result == "sent"){
						?>
						<div class="alert alert-success">
							<strong>پیام ارسال شد  :</strong> کاربر گرامی پیـام شما با موفقیــت ارسـال شد
						</div>
						<?php
						}
						?>		
							<form method="post" action="" enctype="multipart/form-data" class="form-border">
								<div class="form-group">
									<label>فـرستنده</label>
									<input id="sender" name="sender" type="text" class="form-control input-sm" value="system" >
								</div>
								<div class="form-group">
									<label>ارسال به</label>
									<select id="resiver" name="resiver" class="form-control chzn-select">
									<option value="allusers">همه کاربران آنلاین</option>
									<?php
									for ($i=0;$i<=$usrcount-1;$i++){
									$xml_userid = $xml->types[$i]->id;
									$xml_username = $xml->types[$i]->title; 
									?>
									<option value="<?php echo $xml_userid; ?>"><?php echo $xml_username; ?></option>
									<?php
									}
									?>									
									</select>
								</div>
								<div class="form-group">
									<label>اتـاق</label>
									<select id="room" name="room" class="form-control chzn-select">
									<option value="0">همه اتاق ها</option>
									<?php
									$allroom_names = get_rooms();
									$rooms_conuts = count($allroom_names["all_roomss"]);
									for ($i = 0 ; $i <= $rooms_conuts -1;$i++){	
									?>
									<option value="<?php echo $allroom_names["all_roomss"][$i]['id_room'];  ?>"><?php echo $allroom_names["all_roomss"][$i]['roomname'];  ?></option>
									<?php
									}
									?>									
									</select>
								</div>
								<div class="form-group">
									<label>نـوع پیـام</label>
									<select id="pmformat" name="pmformat" class="form-control chzn-select">
										<option value="priviat">خصـوصی - پنجره جدید</option>
										<option value="public">خصـوصی - پنجره اصلی</option>
									</select>
								</div>								
								<div class="form-group">
									<label>رنگ متن</label>
									<div class="color-box" style="height:25px;margin:5px;border: 1px solid white;background-color:#7D7D7D;cursor:pointer"></div>
									<input id="colortxt" name="colortxt" type="hidden">
								</div>	
								<div class="form-group">
									<label>متن پیـام</label>
									<input id="pmtxt" name="pmtxt" type="text" class="form-control input-sm" >
								</div>	
								
								<div class="form-group text-right">
									<button class="btn btn-success" type="submit">ارســال کن <i class="fa fa-reply fa-lg"></i></button>
									
								</div>
								<input type="hidden" id="msgsendtousers" name="msgsendtousers" >
							</form>

						</div>
					</div><!-- /panel -->
										
			
			</div>
		</div><!-- /main-container -->
	</div><!-- /wrapper -->

<a href="#" id="scroll-to-top" class="hidden-print"><i class="fa fa-chevron-up"></i></a>
<!-- Script -->
<?php
include_once("system/js.php");
?>
<script src='<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/js/chosen.jquery.min.js'; ?>'></script>
<script src='<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/js/colpick.js'; ?>'></script>
<script>
$(function(){

	$(".chzn-select").chosen();	
	$("#colortxt").val('#7D7D7D');
	$('.color-box').colpick({
		colorScheme:'light',
		layout:'rgbhex',
		color:'ff8800',
		onSubmit:function(hsb,hex,rgb,el) {
			$(el).css('background-color', '#'+hex);
			$("#colortxt").val('#'+hex);
			$(el).colpickHide();
		}
	})

});
</script>
</body>
</html>