<?php
include_once("system/phphead.php");
// page Action's
	$result_save = 0 ;
	if (isset($_POST['save-general'])){
		$result_save = save_general();
	}
	
$load_conf = get_general();
$usrs_allowd_pm = $load_conf["all_generalconf"][0]['usrsallowpm'];
$users_allowed = preg_split("/[\s,]+/", $usrs_allowd_pm);
?>
<!DOCTYPE html>
<html lang="en">
<head>
<?php
include_once("system/head.php");
?>
<link rel="stylesheet" href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/css/jquery.tagsinput.css'; ?>" />
<link href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/css/chosen/chosen.min.css'; ?>" rel="stylesheet"/>
</head>
<body class="overflow-hidden">
	<!-- Overlay Div -->
	<div id="overlay" class="transparent"></div>
	<div id="wrapper" class="preload">
		<?php
		include_once("system/top-navbar.php");
		include_once("system/sidebar.php");
		?>
		<div id="main-container">
			<div id="breadcrumb">
				<ul class="breadcrumb">
					 <li><i class="fa fa-home"></i><a href="#"> داشبورد</a></li>
					 <li class="active">تنظیمـات اصلی چت روم</li>	 
				</ul>
			</div><!-- breadcrumb -->
			<div class="padding-md">

					<div class="panel panel-default">
							<div class="panel-heading">
								تنظیمـات اصلی چت روم
							</div>	

							<div class="panel-body" style="text-align:right;">							
							<?php
							if ($result_save == 1){
							?>
							<div class="alert alert-success">
							<strong>انجام شد</strong> تنظیمات با موفقیت ثبت شد
							</div>
							<?php
							}
							?>
							
								<form method="post" action="">
									<div class="form-group">
										<label>عنـوان چت روم</label>
										<input id="chatroomtitle" name="chatroomtitle" type="text" class="form-control input-sm" value="<?php  echo ($load_conf["all_generalconf"][0]['chatroom_title']); ?>">
									</div>
									<div class="form-group">
										<label>آدرس(های) چتروم</label>
										<input id="address-tags" name="address-tags" type="text" class="tag-demo1" value="<?php  echo ($load_conf["all_generalconf"][0]['chatroom_address']); ?>">
									</div>
									<div class="form-group">
										<label>کلمات کلیدی چت روم</label>
										<input id="keywords-tags" name="keywords-tags" type="text" class="tag-demo1" value="<?php  echo ($load_conf["all_generalconf"][0]['chatroom_keywords']); ?>">
									</div>
									<div class="form-group">
										<label>توضیحات چت روم</label>
										<textarea id="description-chat" name="description-chat" class="form-control" rows="3"><?php  echo ($load_conf["all_generalconf"][0]['chatroom_des']); ?></textarea>
									</div>										
									<div class="form-group">
										<label>اتاق پیشفرض</label>
										<select id="default-room" name="default-room" class="form-control chzn-select">
										<?php
										$allroom_names = get_rooms();
										$rooms_conuts = count($allroom_names["all_roomss"]);
										for ($i = 0 ; $i <= $rooms_conuts -1;$i++){	
										?>
										<option value="<?php echo $allroom_names["all_roomss"][$i]['id_room'];  ?>"><?php echo $allroom_names["all_roomss"][$i]['roomname'];  ?></option>
										<?php
										}
										?>	
										</select>
									</div>
									<div class="form-group">
										<label>راست کلیک در چت روم برای سطوح زیر بلامانع است</label>
										<select id="myuserallowed" name="myuserallowed[]"  class="form-control chzn-select" multiple>
											<?php
											for ($i=0;$i<=$usrcount-1;$i++){
											$xml_userid = $xml->types[$i]->id;
											$xml_username = $xml->types[$i]->title; 
											?>
											<option value="<?php echo $xml_userid; ?>"><?php echo $xml_username; ?></option>
											<?php
											}
											?>	
										</select>
									</div>
									<div class="form-group">
										<label>متن بالای چت روم : برای حذف کادر خالی بگزارید</label>
										<input id="toptxt" name="toptxt" type="text" class="form-control input-sm" value="<?php  echo ($load_conf["all_generalconf"][0]['toptxt']); ?>">
									</div>		
									<div class="form-group">
										<label>متن پایین : برای حذف کادر خالی بگزارید</label>
										<input id="footertxt" name="footertxt" type="text" class="form-control input-sm" value="<?php  echo ($load_conf["all_generalconf"][0]['footertxt']); ?>">
									</div>		
									<div class="form-group">
										<label>تعداد پیام های قابل نمایش در عمومی - تعداد سطر ها</label>
										<input id="msgcount" name="msgcount" type="text" class="form-control input-sm" value="<?php  echo ($load_conf["all_generalconf"][0]['msgcount']); ?>">
									</div>									
									<div class="form-group" style="direction:rtl;">
										<label class="label-checkbox">
											<input name="reg-setting" id="reg-setting" type="checkbox" <?php 
											if ($load_conf["all_generalconf"][0]['reg_users'] == "1") echo "checked";
											 ?>>
											<span class="custom-checkbox"></span>
											ثبت نام کاربر فعال باشد ؟
										</label>
									</div>
									<div class="form-group" style="direction:rtl;">
										<label class="label-checkbox">
											<input name="set_header" id="set_header" type="checkbox" <?php 
											if ($load_conf["all_generalconf"][0]['header'] == "1") echo "checked";
											 ?>>
											<span class="custom-checkbox"></span>
											نمایش هدر چت روم فعال باشد ؟
										</label>
									</div>		
									<div class="form-group" style="direction:rtl;">
										<label class="label-checkbox">
											<input name="set_guest" id="set_guest" type="checkbox" <?php 
											if ($load_conf["all_generalconf"][0]['guest_call'] == "1") echo "checked";
											 ?>>
											<span class="custom-checkbox"></span>
											امکان حرف زن مهمان در عمومی ؟
										</label>
									</div>		
									<div class="form-group" style="direction:rtl;">
										<label class="label-checkbox">
											<input name="set_listcolor" id="set_listcolor" type="checkbox" <?php 
											if ($load_conf["all_generalconf"][0]['listcolor'] == "1") echo "checked";
											 ?>>
											<span class="custom-checkbox"></span>
											نمایش لیست رنگـی کاربران آنلاین ؟
										</label>
									</div>	
									<div class="form-group" style="direction:rtl;">
										<label class="label-checkbox">
											<input name="set_profilelink" id="set_profilelink" type="checkbox" <?php 
											if ($load_conf["all_generalconf"][0]['profilelink'] == "1") echo "checked";
											 ?>>
											<span class="custom-checkbox"></span>
											نمایش لینک پروفایل کنار نام کاربران ؟
										</label>
									</div>		
									<div class="form-group" style="direction:rtl;">
										<label class="label-checkbox">
											<input name="set_time" id="set_time" type="checkbox" <?php 
											if ($load_conf["all_generalconf"][0]['time'] == "1") echo "checked";
											 ?>>
											<span class="custom-checkbox"></span>
											نمایش زمان ارسال پیام ها ؟
										</label>
									</div>	
									<div class="form-group" style="direction:rtl;">
										<label class="label-checkbox">
											<input name="set_linkdooni" id="set_linkdooni" type="checkbox" <?php 
											if ($load_conf["all_generalconf"][0]['linkdooni'] == "1") echo "checked";
											 ?>>
											<span class="custom-checkbox"></span>
											نمـایش کـادر لینکـدونی ؟
										</label>
									</div>		
									<div class="form-group" style="direction:rtl;">
										<label class="label-checkbox">
											<input name="set_player" id="set_player" type="checkbox" <?php 
											if ($load_conf["all_generalconf"][0]['player'] == "1") echo "checked";
											 ?>>
											<span class="custom-checkbox"></span>
											نمـایش موزیـک پلیــر ؟
										</label>
									</div>										
									<div class="form-group" style="direction:rtl;">
										<label class="label-checkbox">
											<input type="checkbox" checked disabled>
											<span class="custom-checkbox"></span>
											انتقال خودکار به www
										</label>
									</div>											
									<div class="form-group" style="direction:rtl;">
										<label class="label-checkbox">
											<input type="checkbox" checked disabled>
											<span class="custom-checkbox"></span>
											استفاده از تکنیک Rewrite
										</label>
									</div>
									<div class="form-group">
										<label>ظـرفیت چت روم : <span class="label label-info">
										<?php  echo ($load_conf["all_generalconf"][0]['maxonline']); ?> نفـره
										</span></label>
									</div>										

									<div class="form-group text-right">
										<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/usertypes/'; ?>" class="btn btn-warning">انصـراف</a>
										<button class="btn btn-success" type="submit">ثبـت اطلاعات <i class="fa fa-save fa-lg"></i></button>
										
									</div>
									<input id="save-general" name="save-general" type="hidden">
								</form>
							</div>
						</div><!-- /panel -->
								


			</div>
				
		</div><!-- /main-container -->
	</div><!-- /wrapper -->

<a href="#" id="scroll-to-top" class="hidden-print"><i class="fa fa-chevron-up"></i></a>
<!-- Script -->
<?php
include_once("system/js.php");
?>
<script src='<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/js/chosen.jquery.min.js'; ?>'></script>
<script src='<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/js/jquery.tagsinput.min.js'; ?>'></script>
<script>
$(function(){

	var jArray= <?php echo json_encode($users_allowed); ?>;
	for(var i=0;i<jArray.length -1;i++){
		$('#myuserallowed option[value="' + jArray[i] + '"]').prop('selected',true);
	}	
	
	$(".chzn-select").chosen();	
	$('#default-room option[value="1"]').prop('selected',true);
	$('.tag-demo1').tagsInput({
		'height':'auto',
		'width':'90%'
	});

	
});
</script>
</body>
</html>