<?php
include_once("system/phphead.php");
// Call function's Posted

		if (isset($_POST["edit-background"])){
			update_body();
		}
		
		if (isset($_POST["edit-public"])){
			update_public();
		}
		
		if (isset($_POST["edit-onlinelist"])){
			update_onlinelist();
		}
		
		if (isset($_POST["edit-rooms"])){
			update_rooms();
		}
				
		if (isset($_POST["edit-sendform"])){
			update_sendform();
		}
		if (isset($_POST["edit-header"])){
			update_header();
		}
		
		function update_body(){
				
				$path_xml = $_SERVER['DOCUMENT_ROOT']."/theme/theme.xml";
				$xml_edit = simplexml_load_file($path_xml);
				$sxe = new SimpleXMLElement($xml_edit->asXML());
				$sxe->chat->body->{"background-repeat"} = strip_html_tags(trim($_POST['background-repeat']));
				$sxe->chat->body->{"background-color"} = strip_html_tags(trim($_POST['background-color']));
				if ( $_FILES["background-image"]['size'] > 0 && strlen( $_FILES["background-image"]['tmp_name'] ) > 0 ) {
					 if (upload_my_theme("background-image") == true){
						$sxe->chat->body->{"background-image"} = "theme/ups/".$_FILES["background-image"]["name"];
					 }
				}
				$sxe->asXML($path_xml);
		}
		
		
		
		function update_public(){
				
				$path_xml = $_SERVER['DOCUMENT_ROOT']."/theme/theme.xml";
				$xml_edit = simplexml_load_file($path_xml);
				$sxe = new SimpleXMLElement($xml_edit->asXML());
				$sxe->chat->chatinhalt->{"background-repeat"} = strip_html_tags(trim($_POST['background-repeat']));
				$sxe->chat->chatinhalt->{"background-color"} = strip_html_tags(trim($_POST['background-color']));
				if ( $_FILES["body-bg"]['size'] > 0 && strlen( $_FILES["body-bg"]['tmp_name'] ) > 0 ) {
					 if (upload_my_theme("body-bg") == true){
						$sxe->chat->chatinhalt->{"background-image"} = "theme/ups/".$_FILES["body-bg"]["name"];
					 }
				}
				$sxe->chat->chatinhalt->{"font-family"} = strip_html_tags(trim($_POST['font-family']));
				$sxe->chat->chatinhalt->{"font-size"} = strip_html_tags(trim($_POST['font-size']));
				$sxe->chat->chatinhalt->{"box-shadow"} = strip_html_tags(trim($_POST['box-shadow']));
				$sxe->chat->chatinhalt->{"border-radius"} = strip_html_tags(trim($_POST['border-radius']));
				$sxe->chat->chatinhalt->{"float"} = strip_html_tags(trim($_POST['float']));
				$sxe->asXML($path_xml);
		}		
		
		
		function update_onlinelist(){
				
				$path_xml = $_SERVER['DOCUMENT_ROOT']."/theme/theme.xml";
				$xml_edit = simplexml_load_file($path_xml);
				$sxe = new SimpleXMLElement($xml_edit->asXML());
				$sxe->chat->onlinelist->{"background-repeat"} = strip_html_tags(trim($_POST['background-repeat']));
				$sxe->chat->onlinelist->{"background-color"} = strip_html_tags(trim($_POST['background-color']));
				if ( $_FILES["onlinelist-bg"]['size'] > 0 && strlen( $_FILES["onlinelist-bg"]['tmp_name'] ) > 0 ) {
					 if (upload_my_theme("onlinelist-bg") == true){
						$sxe->chat->onlinelist->{"background-image"} = "theme/ups/".$_FILES["onlinelist-bg"]["name"];
					 }
				}
				$sxe->chat->onlinelist->{"font-family"} = strip_html_tags(trim($_POST['font-family']));
				$sxe->chat->onlinelist->{"font-size"} = strip_html_tags(trim($_POST['font-size']));
				$sxe->chat->onlinelist->{"color"} = strip_html_tags(trim($_POST['color']));
				$sxe->chat->onlinelist->{"box-shadow"} = strip_html_tags(trim($_POST['box-shadow']));
				$sxe->chat->onlinelist->{"border-radius"} = strip_html_tags(trim($_POST['border-radius']));
				$sxe->asXML($path_xml);
		}				
		
		function update_sendform(){
				
				$path_xml = $_SERVER['DOCUMENT_ROOT']."/theme/theme.xml";
				$xml_edit = simplexml_load_file($path_xml);
				$sxe = new SimpleXMLElement($xml_edit->asXML());
				$sxe->chat->form->{"background-repeat"} = strip_html_tags(trim($_POST['background-repeat']));
				$sxe->chat->form->{"background-color"} = strip_html_tags(trim($_POST['background-color']));
				if ( $_FILES["sendform-bg"]['size'] > 0 && strlen( $_FILES["sendform-bg"]['tmp_name'] ) > 0 ) {
					 if (upload_my_theme("sendform-bg") == true){
						$sxe->chat->form->{"background-image"} = "theme/ups/".$_FILES["sendform-bg"]["name"];
					 }
				}
				$sxe->chat->form->{"font-family"} = strip_html_tags(trim($_POST['font-family']));
				$sxe->chat->form->{"font-size"} = strip_html_tags(trim($_POST['font-size']));
				$sxe->chat->form->{"box-shadow"} = strip_html_tags(trim($_POST['box-shadow']));
				$sxe->chat->form->{"border-radius"} = strip_html_tags(trim($_POST['border-radius']));
				$sxe->asXML($path_xml);
		}				
		
		function update_header(){
				
				$path_xml = $_SERVER['DOCUMENT_ROOT']."/theme/theme.xml";
				$xml_edit = simplexml_load_file($path_xml);
				$sxe = new SimpleXMLElement($xml_edit->asXML());
				if ( $_FILES["src"]['size'] > 0 && strlen( $_FILES["src"]['tmp_name'] ) > 0 ) {
					 if (upload_my_theme("src") == true){
						$sxe->chat->header->{"src"} = "theme/ups/".$_FILES["src"]["name"];
					 }
				}
				$sxe->asXML($path_xml);
		}			
		function update_rooms(){
				
				$path_xml = $_SERVER['DOCUMENT_ROOT']."/theme/theme.xml";
				$xml_edit = simplexml_load_file($path_xml);
				$sxe = new SimpleXMLElement($xml_edit->asXML());
				$sxe->chat->rooms->{"background-repeat"} = strip_html_tags(trim($_POST['background-repeat']));
				$sxe->chat->rooms->{"background-color"} = strip_html_tags(trim($_POST['background-color']));
				if ( $_FILES["rooms-bg"]['size'] > 0 && strlen( $_FILES["rooms-bg"]['tmp_name'] ) > 0 ) {
					 if (upload_my_theme("rooms-bg") == true){
						$sxe->chat->rooms->{"background-image"} = "theme/ups/".$_FILES["rooms-bg"]["name"];
					 }
				}
				$sxe->chat->rooms->{"font-family"} = strip_html_tags(trim($_POST['font-family']));
				$sxe->chat->rooms->{"font-size"} = strip_html_tags(trim($_POST['font-size']));
				$sxe->chat->rooms->{"box-shadow"} = strip_html_tags(trim($_POST['box-shadow']));
				$sxe->chat->rooms->{"color"} = strip_html_tags(trim($_POST['color']));
				$sxe->chat->rooms->{"border-radius"} = strip_html_tags(trim($_POST['border-radius']));
				$sxe->asXML($path_xml);
		}			
		
		
		function upload_my_theme($elem){
		
					if((!empty($_FILES[$elem])) && ($_FILES[$elem]['error'] == 0)) {
					
						// Setting
						$file = basename($_FILES[$elem]["name"]);
						$ext = substr($file, strrpos($file, '.') + 1);
						$allowedExts = array("png","gif","jpg");
						$file_type_array =  array("image/jpeg", "image/gif", "image/jpg", "image/x-png","image/png");
						$file_size = 512000;
						
						// shell's Trip [1: make htacess in folder for now allowing run php - 2: make SERVER Disable function's]
						$pos = strrpos($file, "php");
						if ($pos === false){
						// not found...
						}else{
							 return false;
						}

						// Upload Script
						 if (in_array($ext, $allowedExts) && in_array($_FILES[$elem]["type"], $file_type_array) && 
							($_FILES[$elem]["size"] < $file_size)) {
								
								$filename = $_FILES[$elem]["name"];
								$newname = $_SERVER['DOCUMENT_ROOT'].'/theme/ups/'.$filename;
								if ((move_uploaded_file($_FILES[$elem]['tmp_name'],$newname))) {
									return true;
								} else {
								return false;
								}
						  } else {
							 return false;
						  }

					}else{
						 return false;
					}		
		
		}
		
?>
<!DOCTYPE html>
<html lang="en">
<head>
<?php
include_once("system/head.php");
?>
<!-- Script -->
<?php
include_once("system/js.php");
?>
<script src='<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/js/chosen.jquery.min.js'; ?>'></script>
<script src='<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/js/colpick.js'; ?>'></script>
<link href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/css/chosen/chosen.min.css'; ?>" rel="stylesheet"/>
<link rel="stylesheet" href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/css/colpick.css'; ?>" />
</head>
<body class="overflow-hidden">
	<!-- Overlay Div -->
	<div id="overlay" class="transparent"></div>
	<div id="wrapper" class="preload">
		<?php
		include_once("system/top-navbar.php");
		include_once("system/sidebar.php");
		?>
		<div id="main-container">
			<div id="breadcrumb">
				<ul class="breadcrumb">
					 <li><i class="fa fa-home"></i><a href="#"> داشبورد</a></li>
					 <li class="active">مدیریت قالب داخل چت روم</li>	 
				</ul>
			</div><!-- breadcrumb -->
			<div class="padding-md">
			<div class="row">
					<div class="col-md-12">
						<div class="panel panel-default">
							<div class="panel-heading">
								مدیریت قالب داخل چت روم
							</div>
							<div class="panel-tab clearfix">
								<ul class="tab-bar right">
									<li class="active"><a href="#background" data-toggle="tab"><i class="fa fa-picture-o"></i> پشت زمینه</a></li>
									<li><a href="#public" data-toggle="tab"><i class="fa fa-columns"></i> عمومی</a></li>
									<li><a href="#onlinelist" data-toggle="tab"><i class="fa fa-users"></i> لیست آنلاین ها</a></li>
									<li><a href="#rooms" data-toggle="tab"><i class="fa fa-align-justify"></i> اتاق ها</a></li>
									<li><a href="#sendform" data-toggle="tab"><i class="fa fa-mail-reply-all"></i> کـادر ارسال</a></li>
									<li><a href="#header" data-toggle="tab"><i class="fa fa-bookmark-o"></i> هدر</a></li>
									
								</ul>
							</div>
							<?php
							$path_xml = $_SERVER['DOCUMENT_ROOT']."/theme/theme.xml";
							$xml_read = simplexml_load_file($path_xml);
							$sxe = new SimpleXMLElement($xml_read->asXML());
							?>
							<div class="panel-body" style="text-align:right;">
								<div class="tab-content">
									<div class="tab-pane fade in active" id="background">
										
										<form method="post" action="" enctype="multipart/form-data"  class="form-border">

										<div class="form-group">
											<label>عکس پشت زمینه</label>
											<div class="upload-file">
											<input type="file" id="background-image" name="background-image" class="upload-demo">
											<label data-title="انتخاب فایل" for="background-image">
											<span data-title="هیچ فایلی انتخاب  نشده است"></span>
											</label>
											</div>
										</div>										
										<div class="form-group">
											<label>نحوه تکرار پشت زمینه</label>
											<select id="background-repeat" name="background-repeat" class="form-control chzn-select">
												<option value="no-repeat">بدون تکرار</option>
												<option value="repeat">تکرار عمودی و افقی</option>
												<option value="repeat-x">تکرار افقی</option>
												<option value="repeat-y">تکرار عمودی</option>
											</select>
										<script>
										$(document).ready(function() {
										var bg_repeat = "<?php echo ($sxe->chat->body->{"background-repeat"}); ?>";
										$('#background').find('#background-repeat option[value="' + bg_repeat + '"]').prop('selected',true);
										});
										</script>
										</div>										
										<div class="form-group">
											<label>رنگ پشت زمینه</label>
											<div>
											<input class="color-box" id="background-color" name="background-color" type="input" style="width:60px;height:30px;margin:5px;border: 1px solid #BFBFBF;background-color:<?php echo $sxe->chat->body->{"background-color"}; ?>;cursor:pointer;color:#fff" value="<?php echo $sxe->chat->body->{"background-color"}; ?>" readonly>
											</div>
										</div>	

										<div class="form-group text-right">
											<button class="btn btn-success" type="submit">ثبـت اطلاعات <i class="fa fa-save fa-lg"></i></button>
										</div>
										<input id="edit-background" name="edit-background" type="hidden">
									</form>
								
									</div>

									<div class="tab-pane fade" id="public">
										
										<form method="post" action="" enctype="multipart/form-data"  class="form-border">

										<div class="form-group">
											<label>عکس پشت زمینه</label>
											<div class="upload-file">
											<input type="file" id="body-bg" name="body-bg" class="upload-demo">
											<label data-title="انتخاب فایل" for="body-bg">
											<span data-title="هیچ فایلی انتخاب  نشده است"></span>
											</label>
											</div>
										</div>										
										<div class="form-group">
											<label>نحوه تکرار پشت زمینه</label>
											<select id="background-repeat" name="background-repeat" class="form-control chzn-select">
												<option value="no-repeat">بدون تکرار</option>
												<option value="repeat" selected="">تکرار عمودی و افقی</option>
												<option value="repeat-x">تکرار افقی</option>
												<option value="repeat-y">تکرار عمودی</option>
											</select>
										<script>
										$(document).ready(function() {
										var bg_repeat = "<?php echo ($sxe->chat->chatinhalt->{"background-repeat"}); ?>";
										$('#public').find('#background-repeat option[value="' + bg_repeat + '"]').prop('selected',true);
										});
										</script>
										</div>										
										<div class="form-group">
											<label>رنگ پشت زمینه</label>
											<div>
											<input class="color-box" id="background-color" name="background-color" type="input" style="width:60px;height:30px;margin:5px;border: 1px solid #BFBFBF;background-color:<?php echo $sxe->chat->chatinhalt->{"background-color"}; ?>;cursor:pointer;color:#fff" value="<?php echo $sxe->chat->chatinhalt->{"background-color"}; ?>" readonly>
											</div>
										</div>	
										<div class="form-group">
											<label>فـونت</label>
											<select id="font-family" name="font-family" class="form-control chzn-select">
												<option value="cursive">cursive</option>
                                                <option value="Tahoma" selected>Tahoma</option>
                                                <option value="fantasy">fantasy</option>
                                                <option value="monospace">monospace</option>
                                                <option value="sans-serif">sans-serif</option>
                                                <option value="Arial">Arial</option>
											</select>
										<script>
										$(document).ready(function() {
										var my_font = "<?php echo ($sxe->chat->chatinhalt->{"font-family"}); ?>";
										$('#public').find('#font-family option[value="' + my_font + '"]').prop('selected',true);
										});
										</script>											
										</div>	
										<div class="form-group">
											<label>سـایز فونت</label>
											<input id="font-size" name="font-size" type="text" class="form-control input-sm" value="<?php echo $sxe->chat->chatinhalt->{"font-size"}; ?>" style="text-align:left" >
										</div>										
										<div class="form-group">
											<label>سـایه</label>
											<input id="box-shadow" name="box-shadow" type="text" class="form-control input-sm" value="<?php echo $sxe->chat->chatinhalt->{"box-shadow"}; ?>" style="text-align:left"  >
										</div>	
										<div class="form-group">
											<label>گرد کردن گوشه ها</label>
											<input id="border-radius" name="border-radius" type="text" class="form-control input-sm" value="<?php echo $sxe->chat->chatinhalt->{"border-radius"}; ?>" style="text-align:left"  >
										</div>	
										<div class="form-group">
											<label>سمت</label>
											<select id="float" name="float" class="form-control chzn-select">
                                                <option value="right">راست</option>
                                                <option value="left" selected>چپ</option>
											</select>
										<script>
										$(document).ready(function() {
										var my_float = "<?php echo ($sxe->chat->chatinhalt->{"float"}); ?>";
										$('#public').find('#float option[value="' + my_float + '"]').prop('selected',true);
										});
										</script>													
										</div>	

										
										<div class="form-group text-right">
											<button class="btn btn-success" type="submit">ثبـت اطلاعات <i class="fa fa-save fa-lg"></i></button>
										</div>
										<input id="edit-public" name="edit-public" type="hidden">
									</form>
								
										
									</div>

									<div class="tab-pane fade" id="onlinelist">

										<form method="post" action="" enctype="multipart/form-data"  class="form-border">

										<div class="form-group">
											<label>عکس پشت زمینه</label>
											<div class="upload-file">
											<input type="file" id="onlinelist-bg" name="onlinelist-bg" class="upload-demo">
											<label data-title="انتخاب فایل" for="onlinelist-bg">
											<span data-title="هیچ فایلی انتخاب  نشده است"></span>
											</label>
											</div>
										</div>										
										<div class="form-group">
											<label>نحوه تکرار پشت زمینه</label>
											<select id="background-repeat" name="background-repeat" class="form-control chzn-select">
												<option value="no-repeat">بدون تکرار</option>
												<option value="repeat" selected="">تکرار عمودی و افقی</option>
												<option value="repeat-x">تکرار افقی</option>
												<option value="repeat-y">تکرار عمودی</option>
											</select>
										<script>
										$(document).ready(function() {
										var bg_repeat = "<?php echo ($sxe->chat->onlinelist->{"background-repeat"}); ?>";
										$('#onlinelist').find('#background-repeat option[value="' + bg_repeat + '"]').prop('selected',true);
										});
										</script>
										</div>										
										<div class="form-group">
											<label>رنگ پشت زمینه</label>
											<div>
											<input class="color-box" id="background-color" name="background-color" type="input" style="width:60px;height:30px;margin:5px;border: 1px solid #BFBFBF;background-color:<?php echo $sxe->chat->onlinelist->{"background-color"}; ?>;cursor:pointer;color:#fff" value="<?php echo $sxe->chat->onlinelist->{"background-color"}; ?>" readonly>
											</div>
										</div>	
										<div class="form-group">
											<label>رنگ نوشته ها</label>
											<div>
											<input class="color-box" id="color" name="color" type="input" style="width:60px;height:30px;margin:5px;border: 1px solid #BFBFBF;background-color:<?php echo $sxe->chat->onlinelist->{"color"}; ?>;cursor:pointer;color:#fff" value="<?php echo $sxe->chat->onlinelist->{"color"}; ?>" readonly>
											</div>
										</div>										
										<div class="form-group">
											<label>فـونت</label>
											<select id="font-family" name="font-family" class="form-control chzn-select">
												<option value="cursive">cursive</option>
                                                <option value="Tahoma">Tahoma</option>
                                                <option value="fantasy">fantasy</option>
                                                <option value="monospace">monospace</option>
                                                <option value="sans-serif">sans-serif</option>
                                                <option value="Arial">Arial</option>
											</select>
										<script>
										$(document).ready(function() {
										var my_font = "<?php echo ($sxe->chat->onlinelist->{"font-family"}); ?>";
										$('#onlinelist').find('#font-family option[value="' + my_font + '"]').prop('selected',true);
										});
										</script>											
										</div>	
										<div class="form-group">
											<label>سـایز فونت</label>
											<input id="font-size" name="font-size" type="text" class="form-control input-sm" value="<?php echo $sxe->chat->onlinelist->{"font-size"}; ?>" style="text-align:left" >
										</div>										
										<div class="form-group">
											<label>سـایه</label>
											<input id="box-shadow" name="box-shadow" type="text" class="form-control input-sm" value="<?php echo $sxe->chat->onlinelist->{"box-shadow"}; ?>" style="text-align:left"  >
										</div>	
										<div class="form-group">
											<label>گرد کردن گوشه ها</label>
											<input id="border-radius" name="border-radius" type="text" class="form-control input-sm" value="<?php echo $sxe->chat->onlinelist->{"border-radius"}; ?>" style="text-align:left"  >
										</div>	
										<div class="form-group">
											<label>پهنای لیست</label>
											<input id="wight" name="wight" type="text" class="form-control input-sm" value="260px" style="text-align:left"  >
										</div>	

										
										<div class="form-group text-right">
											<button class="btn btn-success" type="submit">ثبـت اطلاعات <i class="fa fa-save fa-lg"></i></button>
										</div>
										<input id="edit-onlinelist" name="edit-onlinelist" type="hidden">
									</form>
									
									</div>
									
									<div class="tab-pane fade" id="rooms">
										
										<form method="post" action="" enctype="multipart/form-data"  class="form-border">

										<div class="form-group">
											<label>عکس پشت زمینه</label>
											<div class="upload-file">
											<input type="file" id="rooms-bg" name="rooms-bg" class="upload-demo">
											<label data-title="انتخاب فایل" for="rooms-bg">
											<span data-title="هیچ فایلی انتخاب  نشده است"></span>
											</label>
											</div>
										</div>
										<div class="form-group">
											<label>نحوه تکرار پشت زمینه</label>
											<select id="background-repeat" name="background-repeat" class="form-control chzn-select">
												<option value="no-repeat">بدون تکرار</option>
												<option value="repeat" selected="">تکرار عمودی و افقی</option>
												<option value="repeat-x">تکرار افقی</option>
												<option value="repeat-y">تکرار عمودی</option>
											</select>
										<script>
										$(document).ready(function() {
										var bg_repeat = "<?php echo ($sxe->chat->rooms->{"background-repeat"}); ?>";
										$('#rooms').find('#background-repeat option[value="' + bg_repeat + '"]').prop('selected',true);
										});
										</script>
										</div>			
										<div class="form-group">
											<label>فـونت</label>
											<select id="font-family" name="font-family" class="form-control chzn-select">
												<option value="cursive">cursive</option>
                                                <option value="Tahoma" selected>Tahoma</option>
                                                <option value="fantasy">fantasy</option>
                                                <option value="monospace">monospace</option>
                                                <option value="sans-serif">sans-serif</option>
                                                <option value="Arial">Arial</option>
											</select>
										<script>
										$(document).ready(function() {
										var my_font = "<?php echo ($sxe->chat->chatinhalt->{"font-family"}); ?>";
										$('#public').find('#font-family option[value="' + my_font + '"]').prop('selected',true);
										});
										</script>											
										</div>											
										<div class="form-group">
											<label>رنگ پشت زمینه</label>
											<div>
											<input class="color-box" id="background-color" name="background-color" type="input" style="width:60px;height:30px;margin:5px;border: 1px solid #BFBFBF;background-color:<?php echo $sxe->chat->rooms->{"background-color"}; ?>;cursor:pointer;color:#fff" value="<?php echo $sxe->chat->rooms->{"background-color"}; ?>" readonly>
											</div>
										</div>		
										<div class="form-group">
											<label>رنگ نوشته</label>
											<div>
											<input class="color-box" id="color" name="color" type="input" style="width:60px;height:30px;margin:5px;border: 1px solid #BFBFBF;background-color:<?php echo $sxe->chat->rooms->{"color"}; ?>;cursor:pointer;color:#fff" value="<?php echo $sxe->chat->rooms->{"color"}; ?>" readonly>
											</div>
										</div>											
										<div class="form-group">
											<label>کلفتی فونت</label>
											<input id="font-weight" name="font-weight" type="text" class="form-control input-sm" value="<?php echo $sxe->chat->rooms->{"font-weight"}; ?>" style="text-align:left" >
										</div>												
										<div class="form-group">
											<label>سـایز فونت</label>
											<input id="font-size" name="font-size" type="text" class="form-control input-sm" value="<?php echo $sxe->chat->rooms->{"font-size"}; ?>" style="text-align:left" >
										</div>										
										<div class="form-group">
											<label>سـایه</label>
											<input id="box-shadow" name="box-shadow" type="text" class="form-control input-sm" value="<?php echo $sxe->chat->rooms->{"box-shadow"}; ?>" style="text-align:left"  >
										</div>	
										<div class="form-group">
											<label>گرد کردن گوشه ها</label>
											<input id="border-radius" name="border-radius" type="text" class="form-control input-sm" value="<?php echo $sxe->chat->rooms->{"border-radius"}; ?>" style="text-align:left"  >
										</div>	

										<div class="form-group text-right">
											<button class="btn btn-success" type="submit">ثبـت اطلاعات <i class="fa fa-save fa-lg"></i></button>
										</div>
										<input id="edit-rooms" name="edit-rooms" type="hidden">
									</form>
									
										
									</div>

									<div class="tab-pane fade" id="sendform">
										
										<form method="post" action="" enctype="multipart/form-data"  class="form-border">

										<div class="form-group">
											<label>عکس پشت زمینه</label>
											<div class="upload-file">
											<input type="file" id="sendform-bg" name="sendform-bg" class="upload-demo">
											<label data-title="انتخاب فایل" for="sendform-bg">
											<span data-title="هیچ فایلی انتخاب  نشده است"></span>
											</label>
											</div>
										</div>										
										<div class="form-group">
											<label>نحوه تکرار پشت زمینه</label>
											<select id="background-repeat" name="background-repeat" class="form-control chzn-select">
												<option value="no-repeat">بدون تکرار</option>
												<option value="repeat" selected="">تکرار عمودی و افقی</option>
												<option value="repeat-x">تکرار افقی</option>
												<option value="repeat-y">تکرار عمودی</option>
											</select>
										<script>
										$(document).ready(function() {
										var bg_repeat = "<?php echo ($sxe->chat->form->{"background-repeat"}); ?>";
										$('#sendform').find('#background-repeat option[value="' + bg_repeat + '"]').prop('selected',true);
										});
										</script>
										</div>										
										<div class="form-group">
											<label>رنگ پشت زمینه</label>
											<div>
											<input class="color-box" id="background-color" name="background-color" type="input" style="width:60px;height:30px;margin:5px;border: 1px solid #BFBFBF;background-color:<?php echo $sxe->chat->form->{"background-color"}; ?>;cursor:pointer;color:#fff" value="<?php echo $sxe->chat->form->{"background-color"}; ?>" readonly>
											</div>
										</div>										
										<div class="form-group">
											<label>فـونت</label>
											<select id="font-family" name="font-family" class="form-control chzn-select">
												<option value="cursive">cursive</option>
                                                <option value="Tahoma">Tahoma</option>
                                                <option value="fantasy">fantasy</option>
                                                <option value="monospace">monospace</option>
                                                <option value="sans-serif">sans-serif</option>
                                                <option value="Arial">Arial</option>
											</select>
										<script>
										$(document).ready(function() {
										var my_font = "<?php echo ($sxe->chat->form->{"font-family"}); ?>";
										$('#sendform').find('#font-family option[value="' + my_font + '"]').prop('selected',true);
										});
										</script>											
										</div>	
										<div class="form-group">
											<label>سـایز فونت</label>
											<input id="font-size" name="font-size" type="text" class="form-control input-sm" value="<?php echo $sxe->chat->form->{"font-size"}; ?>" style="text-align:left" >
										</div>										
										<div class="form-group">
											<label>سـایه</label>
											<input id="box-shadow" name="box-shadow" type="text" class="form-control input-sm" value="<?php echo $sxe->chat->form->{"box-shadow"}; ?>" style="text-align:left"  >
										</div>	
										<div class="form-group">
											<label>گرد کردن گوشه ها</label>
											<input id="border-radius" name="border-radius" type="text" class="form-control input-sm" value="<?php echo $sxe->chat->form->{"border-radius"}; ?>" style="text-align:left"  >
										</div>	

										<div class="form-group text-right">
											<button class="btn btn-success" type="submit">ثبـت اطلاعات <i class="fa fa-save fa-lg"></i></button>
										</div>
										<input id="edit-sendform" name="edit-sendform" type="hidden">
									</form>

									</div>

									<div class="tab-pane fade" id="header">
										
										<form method="post" action="" enctype="multipart/form-data"  class="form-border">

										<div class="form-group">
											<label>هدر چت روم</label>
											<div class="upload-file">
											<input type="file" id="src" name="src" class="upload-demo">
											<label data-title="انتخاب فایل" for="src">
											<span data-title="هیچ فایلی انتخاب  نشده است"></span>
											</label>
											</div>
										</div>
										<div class="form-group text-right">
											<button class="btn btn-success" type="submit">ثبـت اطلاعات <i class="fa fa-save fa-lg"></i></button>
										</div>
										<input id="edit-header" name="edit-header" type="hidden">
									</form>
								
									</div>
									

								</div>
							</div>
						</div><!-- /panel -->
					</div><!-- /.col -->
				</div><!-- /.row -->
							
			</div>
		</div><!-- /main-container -->
	</div><!-- /wrapper -->

<a href="#" id="scroll-to-top" class="hidden-print"><i class="fa fa-chevron-up"></i></a>
<script>
$(function(){

	
	$("#group_color").val('#ff8800');
	$('.color-box').colpick({
		colorScheme:'light',
		layout:'rgbhex',
		color:'ff8800',
		onSubmit:function(hsb,hex,rgb,el) {
			$(el).css('background-color', '#'+hex);
			$(el).val('#'+hex);
			$(el).colpickHide();
		}
	})

	$(".chzn-select").chosen();	
});
</script>
</body>
</html>