<?php
include_once("system/phphead.php");
if (isset($_POST['save-new-group'])){
	addnew_usertype();
}
if (isset($_POST['edit-group'])){
	edit_usertype();
}
//del music
if (isset($_POST['rmusertype'])){
	// GET Vals 
	$usertype_rm_id = strip_html_tags($_POST["removeid"]);
	$usertype_changeto_id = strip_html_tags($_POST["changetoid"]);
	
	if ( is_numeric($usertype_rm_id) && is_numeric($usertype_changeto_id) ){
		if ($usertype_rm_id != $usertype_changeto_id){
			remove_usertype($usertype_rm_id,$usertype_changeto_id);
		}
	}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<?php
include_once("system/head.php");
?>
<link href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/css/chosen/chosen.min.css'; ?>" rel="stylesheet"/>
<link rel="stylesheet" href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/css/colpick.css'; ?>" />
</head>
<body class="overflow-hidden">
	<!-- Overlay Div -->
	<div id="overlay" class="transparent"></div>
	<div id="wrapper" class="preload">
		<?php
		include_once("system/top-navbar.php");
		include_once("system/sidebar.php");
		?>
		<div id="main-container">
			<div id="breadcrumb">
				<ul class="breadcrumb">
					 <li><i class="fa fa-home"></i><a href="#"> داشبورد</a></li>
					 <li class="active">درجه ها</li>	 
				</ul>
			</div><!-- breadcrumb -->
			<div class="padding-md">

					<div class="panel panel-default">
							<div class="panel-heading">
								گروه های کاربری
							</div>	
							<div class="panel-body" style="text-align:right;">							
					<?php
					if (!isset($_GET["add"]) and !isset($_GET["edit"])){
					?>
							
								<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/usertypes/add/'; ?>" class="btn btn-sm btn-success" > افزودن گروه کاربری جدید <i class="fa fa-plus"></i></a>
							<p>
							<table class="table table-striped table-bordered table-hover">
								<thead>
									<tr>
										<th>#</th>
										<th>نام گروه</th>
										<th>مدیریت</th>
										<th>آیکون</th>
										<th>امتیاز لازم</th>
										<th></th>
									</tr>
								</thead>
								<tbody>
									<?php
									for ($i=0;$i<=$usrcount-1;$i++){
									$xml_userid = $xml->types[$i]->id;
									$xml_username = $xml->types[$i]->title; 
									$xml_usericon = 'http://'.$_SERVER['SERVER_NAME'] .'/theme/usertypes/'.$xml->types[$i]->id.'.png';
									$xml_userscore = $xml->types[$i]->score;
									$xml_usermod = $xml->types[$i]->admin;
									?>
										<tr>
											<td><?php echo $xml_userid; ?></td>
											<td><?php echo $xml_username; ?></td>
											<td>
											<?php if ($xml_usermod != 0){
											echo '<span class="badge badge-danger">دارد</span>';
											}else{
											echo "ندارد";
											} ?></td>
											<td><img src="<?php echo $xml_usericon; ?>"></td>
											<td>
											<?php 
											if ($xml_usermod != 0){
											echo '<span class="badge badge-success">نیاز به تایید مدیر</span>';
											}else{
											echo '<span class="badge badge-info">'.$xml_userscore.'</span>';
											}
											?></td>
											<td>
											<?php
											if ($xml_userid != "8" && $xml_userid != "0" && $xml_userid != "1" ){
											?>
											<a id="<?php echo $xml_userid; ?>" href="#formModal" class="btn btn-xs btn-warning" data-toggle="modal" onclick="$('#removeid').val(this.id);"><i class="fa fa-cut"></i></a>
											<?php
											}
											?>
											<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] ."/admin/usertypes/edit/$xml_userid"; ?>" class="btn btn-xs btn-success"><i class="fa fa-edit"></i></a>
											</td>
										</tr>									
									<?php
									}
									?>
								</tbody>
							</table>
							</p>
						<?php
						}else if (isset($_GET["add"])){
						?>
								<form method="post" action="" enctype="multipart/form-data">
									<div class="form-group">
										<label>نام گروه</label>
										<input id="group_name" name="group_name" type="text" class="form-control input-sm" >
									</div>
									<div class="form-group">
										<label>سطح مدیریتی</label>
										<select id="group_admin" name="group_admin" class="form-control chzn-select" onchange="chkgroupmode(this.value);">
											<option value="0">نداشته باشد</option>
											<option value="2">مـعـاون</option>
											<option value="2">نـاظر ارشد</option>
											<option value="2">نـاظر</option>
											<option value="1">مـدیر کل</option>
										</select>
									</div>
									<script>
									function chkgroupmode(e){
										if (e != 0){
											document.getElementById('needscorediv').style.display = 'none';
										}else{
											document.getElementById('needscorediv').style.display = 'block';
										}
									}
									</script>
									<div id="needscorediv" name="needscorediv" class="form-group">
										<label>حداقل امتیاز</label>
										<input id="group_emtiaz" name="group_emtiaz" type="text" class="form-control input-sm" >
									</div>											
									<div class="form-group">
										<label>آیکون</label>
										<div class="upload-file">
										<input type="file" id="group_ico" name="group_ico" class="upload-demo">
										<label data-title="انتخاب فایل" for="group_ico">
										<span data-title="هیچ فایلی انتخاب  نشده است"></span>
										</label>
										</div>
									</div>											
									<div class="form-group">
										<label>تـاج</label>
										<div class="upload-file">
										<input type="file" id="group_ico_taj" name="group_ico_taj" class="upload-demo">
										<label data-title="انتخاب فایل" for="group_ico_taj">
										<span data-title="هیچ فایلی انتخاب  نشده است"></span>
										</label>
										</div>
									</div>	
									<div class="form-group">
										<label>رنگ نام کاربری</label>
										<div class="color-box" style="width:30px;height:30px;margin:5px;border: 1px solid white;background-color:#ff8800;cursor:pointer"></div>
										<input id="group_color" name="group_color" type="hidden">
									</div>	

									
									<div class="form-group text-right">
										<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/usertypes/'; ?>" class="btn btn-warning">انصـراف</a>
										<button class="btn btn-success" type="submit">ثبـت اطلاعات <i class="fa fa-save fa-lg"></i></button>
									</div>
									<input id="save-new-group" name="save-new-group" type="hidden">
								</form>
						<?php
						}else if (isset($_GET["edit"])){
						 // LOAD user Type for Edit
						for ($i=0;$i<=$usrcount-1;$i++){
							$edit_id = strip_html_tags($_GET["edit"]);
							$xml_userid = $xml->types[$i]->id;
							if ($xml_userid == $edit_id ){
								$type_count_number = $i;	
								$xml_username = $xml->types[$i]->title; 
								$xml_usericon = 'http://'.$_SERVER['SERVER_NAME'] .'/theme/usertypes/'.$xml->types[$i]->id.'.png';
								$xml_userscore = $xml->types[$i]->score;
								$xml_usermod = $xml->types[$i]->admin;
								$xml_usercolor= $xml->types[$i]->color;
							}
						}
						?>
						
							<form method="post" action="" enctype="multipart/form-data">
									<div class="form-group">
										<label>نام گروه</label>
										<input id="group_name" name="group_name" type="text" class="form-control input-sm" value="<?php echo $xml_username; ?>">
									</div>
									<div class="form-group">
										<label>سطح مدیریتی</label>
										<select id="group_admin" name="group_admin" class="form-control chzn-select">
											<option value="0">نداشته باشد</option>
											<option value="2">مـعـاون</option>
											<option value="2">نـاظر ارشد</option>
											<option value="2">نـاظر</option>
											<option value="1">مـدیر کل</option>
										</select>
									</div>
									<div class="form-group">
										<label>حداقل امتیاز</label>
										<input id="group_emtiaz" name="group_emtiaz" type="text" class="form-control input-sm" value="<?php echo $xml_userscore; ?>">
									</div>											
									<div class="form-group">
										<label>آیکون</label>
										<div class="upload-file">
										<input type="file" id="group_ico" name="group_ico" class="upload-demo">
										<label data-title="انتخاب فایل" for="group_ico">
										<span data-title="هیچ فایلی انتخاب  نشده است"></span>
										</label>
										</div>
									</div>											
									<div class="form-group">
										<label>تـاج</label>
										<div class="upload-file">
										<input type="file" id="group_ico_taj" name="group_ico_taj" class="upload-demo">
										<label data-title="انتخاب فایل" for="group_ico_taj">
										<span data-title="هیچ فایلی انتخاب  نشده است"></span>
										</label>
										</div>
									</div>	
									<div class="form-group">
										<label>رنگ نام کاربری</label>
										<div class="color-box" style="width:30px;height:30px;margin:5px;border: 1px solid white;background-color:<?php echo $xml_usercolor; ?>;cursor:pointer"></div>
										<input id="group_color" name="group_color" type="hidden" value="<?php echo $xml_usercolor; ?>">
									</div>	

									
									<div class="form-group text-right">
										<a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/usertypes/'; ?>" class="btn btn-warning">انصـراف</a>
										<button class="btn btn-success" type="submit">ثبـت اطلاعات <i class="fa fa-save fa-lg"></i></button>
									</div>
									<input id="edit-group" name="edit-group" type="hidden" value="<?php echo $type_count_number; ?>">
									<input id="edit-group-id" name="edit-group-id" type="hidden" value="<?php echo $edit_id; ?>">
							</form>
												
						<?php
						}						
						?>
						
						<div class="alert alert-info">
	<strong>نحوه امتیاز دهی </strong>
	<br/>
	امتیاز دهی فقط مخصوص اعضا می باشد و کاربران مهمان امتیاز دریافت نمیکنند
	<br/>
	تغیر درجه ها بر اساس امتیازات صورت میگیرد - کاربرانی مانند معاون - ناظر و.. که دارای مدیریت می باشد درجه آنها فقط توسط مدیر قابل تغیر است نه امتیاز
	<br/>
 	نحوه محاسبه : هر 1 دقیقه حضور در چت روم 1 امتیاز محسوب میشود 
</div>
							</div>
							

							
						</div><!-- /panel -->
								


			</div>
		</div><!-- /main-container -->

		<div class="modal fade" id="formModal">
  			<div class="modal-dialog">
    			<div class="modal-content">
      				<div class="modal-header">
        				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
						<h4></h4>
      				</div>
				    <div class="modal-body">
						<form id="rmfrm" action="" method="post">
							<div class="form-group">
								<label>برای حذف این سطح کاربری باید سطح جدید برای کاربرانی که در این سطح هستند انتخاب کنید و سپس حذف کنید !</label>
								<select id="changeto" name="changeto" class="form-control chzn-select" onchange="chkrvl(this.value);">
								<option>انتخاب کنید</option>
								<?php
								for ($i=0;$i<=$usrcount-1;$i++){
								$xml_userid = $xml->types[$i]->id;
								$xml_username = $xml->types[$i]->title; 
								?>
								<option value="<?php echo $xml_userid; ?>"><?php echo $xml_username; ?></option>
								<?php
								}
								?>									
								</select>
								<script>
								function chkrvl(e){
										$("#changetoid").val(e);
								}
								</script>
							</div>
							<div class="form-group text-right">
								<a href="#" class="btn btn-success" onclick="document.getElementById('rmfrm').submit();">حـذف کن !</a>
							</div>
						<input type="hidden" id="removeid" name="removeid" value="">	
						<input type="hidden" id="changetoid" name="changetoid" value="">	
						<input type="hidden" id="rmusertype" name="rmusertype">	
						</form>
				    </div>
			  	</div><!-- /.modal-content -->
			</div><!-- /.modal-dialog -->
		</div><!-- /.modal -->
	
	
	</div><!-- /wrapper -->

<a href="#" id="scroll-to-top" class="hidden-print"><i class="fa fa-chevron-up"></i></a>
<!-- Script -->
<?php
include_once("system/js.php");
?>
<script src='<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/js/chosen.jquery.min.js'; ?>'></script>
<script src='<?php echo 'http://'.$_SERVER['SERVER_NAME'] .'/admin/js/colpick.js'; ?>'></script>
<script>
$(function(){
	
	function chngval(e){
		alert (e);
	}
	
	$("#group_color").val('#ff8800');
	$('.color-box').colpick({
		colorScheme:'light',
		layout:'rgbhex',
		color:'ff8800',
		onSubmit:function(hsb,hex,rgb,el) {
			$(el).css('background-color', '#'+hex);
			$("#group_color").val('#'+hex);
			$(el).colpickHide();
		}
	})
	
	<?php 
	if (isset($_GET["edit"])){
	?>
	var e_usertyper = <?php echo ($xml_usermod); ?>;
	$('#group_admin option[value="'+e_usertyper+'"]').prop('selected',true);
	<?php
	}
	?>
	
	$(".chzn-select").chosen();	
});
</script>
</body>
</html>