<?php
abstract class DbConectionMaker extends EtChatConfig
{
	protected $dbObj;
	protected function __construct (){
		parent::__construct();
		if ($this->_usedDatabaseExtension=="pdo") $this->dbObj = new ConnectDB;
		if ($this->_usedDatabaseExtension=="mysqli") $this->dbObj = new ConnectDBMysqli;
	}
	
	protected function configTabData2Session (){

		$feld = $this->dbObj->sqlGet("select config_reloadsequenz,config_messages_im_chat,config_style, config_loeschen_nach,chatroom_title,chatroom_des,chatroom_keywords,expir_date,maxonline,guestlogin FROM {$this->_prefix}config where config_id = 1");
		// Get Onlines count
		$countOnlineUsers = $this->dbObj->sqlGet("select count(*) as online_count FROM my_useronline");
		$this->myonlines = $countOnlineUsers[0][0];
		// GET LInks ~
		$_SESSION[$this->_prefix.'style'] = $feld[0][2];
		$_SESSION[$this->_prefix.'chatroom_title'] = $feld[0][4];
		$_SESSION[$this->_prefix.'chatroom_des'] = $feld[0][5];
		$_SESSION[$this->_prefix.'chatroom_keywords'] = $feld[0][6];
		$_SESSION[$this->_prefix.'maxons'] = $feld[0][8];
		$_SESSION['guest_login'] = $feld[0][9];
		// Check Expire
		$this->check_expir($feld[0][7]);
		
	}
	
	public function cleantxt($txt){
		$search = array('@<script[^>]*?>.*?</script>@si',  // Strip out javascript 
					   '@<[\/\!]*?[^<>]*?>@si',            // Strip out HTML tags 
					   '@<style[^>]*?>.*?</style>@siU',    // Strip style tags properly 
					   '@<![\s\S]*?--[ \t\n\r]*>@'         // Strip multi-line comments including CDATA
		); 
		$text = preg_replace($search, '', $txt); 
		$text = stripslashes($text);
		$text=str_replace("'","",$text);
		$text=addslashes($text);
		$text = strip_tags(trim($text));
		return $text; 
	}	

	private function check_expir($y){
	
		$date_s = date("Y-m-d");
		$expir_date = $y;
		
		if ($expir_date < $date_s){
			@session_unset();
			@session_destroy();
			include_once('theme/expired/index.php');
			exit;
			return false;	
		}
	}	
	
}