<?php
class Signup extends DbConectionMaker
{
	public function __construct (){

		parent::__construct();
		header('Cache-Control: no-store, no-cache, must-revalidate, pre-check=0, post-check=0, max-age=0');
		header('content-type: application/json; charset=utf-8');
		if(session_id() == '') session_start();
		
		$username = $this->cleantxt($_POST["uname"]);
		$username =  htmlspecialchars(str_replace("\\","/",preg_replace('/[\x00-\x1F]/', '', $username)), ENT_QUOTES, "UTF-8");
		if (empty($username) || strlen($username)>22){
			echo '{"status":false,"error":"username"}'; 
			return false; 
		}

		// PASSWORD
		$usepass = $this->cleantxt($_POST["upw"]);
		$usepass2 = $this->cleantxt($_POST["urpw"]);
		if (empty($usepass) || empty($usepass2)){
			echo '{"status":false,"error":"password"}';
			return false; 
		}
		if ($usepass != $usepass2 ){
			echo '{"status":false,"error":"repeatpassword"}'; 
			return false; 
		}
		$usepass = md5($usepass);
		
		// Name
		$name = $this->cleantxt($_POST["name"]);
		$name =  htmlspecialchars(str_replace("\\","/",preg_replace('/[\x00-\x1F]/', '', $name)), ENT_QUOTES, "UTF-8");
		if (empty($name) || strlen($name)>17){
			echo '{"status":false,"error":"firstname"}'; 
			return false; 
		}
		
		// Family
		$family = $this->cleantxt($_POST["family"]);
		$family =  htmlspecialchars(str_replace("\\","/",preg_replace('/[\x00-\x1F]/', '', $family)), ENT_QUOTES, "UTF-8");
		if (empty($family) || strlen($family)>25){
			echo '{"status":false,"error":"lastname"}'; 
			return false; 
		}
		
		// Mob
		
		$tell = $this->cleantxt($_POST["tell"]);
		if (strlen($tell) == 10 ) $tell = "0".$tell;
		$pattern ="/^(9|09)(10|19|12|17|16|14|13|11|18|39|38|37|36|35|33|30|32|21|20|34|31)\d{7}$/";
		if(empty($tell) || (!preg_match($pattern,$tell))){
			echo '{"status":false,"error":"cellphone"}'; 
			return false; 
		}

		// Email
		$email = $this->cleantxt($_POST["email"]);
		if (empty($email) || !preg_match("/([\w\-]+\@[\w\-]+\.[\w\-]+)/",$email)){
			echo '{"status":false,"error":"email"}'; 
			return false; 
		}
		
		// Jensiat
		$gender = $this->cleantxt($_POST["gender"]);
		if (empty($gender) || ($gender != 'm' and $gender != 'f')){
			echo '{"status":false,"error":"gender"}'; 
			return false; 
		}
		
		// ostan
		$ostan = $this->cleantxt($_POST["ostan"]);
		$ostan =  htmlspecialchars(str_replace("\\","/",preg_replace('/[\x00-\x1F]/', '', $ostan)), ENT_QUOTES, "UTF-8");
		if (empty($ostan) || strlen($ostan)>25){
			echo '{"status":false,"error":"state"}'; 
			return false; 
		}
				
		// city
		$city = $this->cleantxt($_POST["city"]);
		$city =  htmlspecialchars(str_replace("\\","/",preg_replace('/[\x00-\x1F]/', '', $city)), ENT_QUOTES, "UTF-8");
		if (empty($city) || strlen($city)>25){
			echo '{"status":false,"error":"city"}'; 
			return false; 
		}
						
		// captcha
		if($_POST['captcha']!=$_SESSION['contact_verfiycode']){
			echo '{"status":false,"error":"captcha"}'; 
			return false; 
		}
		
		// check username is used ?
		$user_used = $this->dbObj->sqlGet("SELECT username,userpw FROM my_user WHERE username = '$username' AND userpw IS NOT NULL LIMIT 1");
		if (is_array($user_used)){
			if ($user_used[0][1] != "" || $user_used[0][1] != null || !empty($user_used[0][1])){
				echo '{"status":false,"error":"runningname"}'; 
				return false; 
			}
		}
		// check tell is used ?
		$tel_used = $this->dbObj->sqlGet("SELECT tell FROM my_user WHERE tell = '$tell' LIMIT 1");
		if (is_array($tel_used)){
			echo '{"status":false,"error":"recellphone"}'; 
			return false;
		}

			// Send sms 
			$active_code =  rand(10000, 99999);
		
			// Read Sms user+pw+url
			$sms_data = $this->dbObj->sqlGet("SELECT sms_url,sms_tell,sms_pw,sms_uname FROM my_config");
			$sms_url =  $sms_data[0][0];
			$sms_un =  $sms_data[0][3];
			$sms_pw =  $sms_data[0][2];
			$sms_tell =  $sms_data[0][1];

			// Send
			$site_name = $_SERVER['SERVER_NAME'];
			$message = urlencode("سلام \n کد فعال سازی : $active_code \n $site_name");
			$BASE_HTTP_URL = "http://sms.xdev.ir/send_via_get/send_sms.php?username=$sms_un&password=$sms_pw&sender_number=$sms_tell&receiver_number=$tell&note=$message";
			$res_sms = file_get_contents($BASE_HTTP_URL);
			if (trim($res_sms) == "0") {
				echo '{"status":false,"error":"cannotsms"}'; 
				return false;
			}else{
				// Insert into DB_users + active Code !
				$my_ip = $_SERVER['REMOTE_ADDR'];
				$t0day = date("Y-m-d");
				$this->dbObj->sqlSet("INSERT INTO my_user (username,userpw,usersex,reg_timestamp,userprivilegien,reg_ip,name,family,tell,email,state,city,active) VALUES ('$username','$usepass','$gender','$t0day','1','$my_ip','$name','$family','$tell','$email','$ostan','$city','$active_code')");
				// Sms Sended ? ok Show Verify Code ?
				$_SESSION["reg_un"] = $username;
				echo '{"status":true,"error":"notthing"}'; 
				return false;
			}

		// Login age Click Verify ! 
		//================================================
		// End Register class By mohammad amin Elahi ! : )
		

		$this->dbObj->close();
		
	}
	


}