<?php
class getuser extends DbConectionMaker
{
	public function __construct (){
	
		parent::__construct();
		if(session_id() == '') session_start();
		header('Cache-Control: no-store, no-cache, must-revalidate, pre-check=0, post-check=0, max-age=0');
		header('content-type: application/json; charset=utf-8');
		if (!isset($_SESSION[$this->_prefix.'username'])){
			return false;
		}

		// delete all old datasets from the etchat_useronline table (session table)
		$this->dbObj->sqlSet("DELETE FROM {$this->_prefix}useronline WHERE onlinetimestamp < ".(date('U')-((4000/1000)*4)));

		// Get all Session from the etchat_useronline with all user sessions
		$feld=$this->dbObj->sqlGet("SELECT
		user_online_user_name,
		onlineuser_fid,
		user_online_user_priv,
		user_online_user_sex,
		fid_room,
		user_online_room_goup,
		user_online_user_status_img,
		avatar,
		onlineip,
		user_online_room_name,
		user_online_user_status_text
		FROM {$this->_prefix}useronline
		ORDER BY fid_room, user_online_user_name");
		
		// Get only empty rooms becouse this rooms are not cointained in the session-tab etchat_useronline
		$roomarray=$this->dbObj->sqlGet("SELECT id_room,roomname,room_goup FROM {$this->_prefix}rooms
		WHERE id_room NOT IN (SELECT DISTINCT fid_room FROM {$this->_prefix}useronline)");
		$allrooms=$this->dbObj->sqlGet("SELECT id_room,roomname FROM {$this->_prefix}rooms");
		if (!is_array($feld)) $this->errorOutput("null");
		else{
				$this->makeJsonOutput($feld,$roomarray,$allrooms);
		}
	}

	
	private function errorOutput($message=0){
		echo $message; 
		$this->dbObj->close();
	}
	
	private function makeJsonOutput($feld,$roomarray,$allrooms){
		
		if ($_SESSION["my_mode"] != "0"){
					
			// USER IS MOD != 0
			echo"{\"userOnline\":[";
			for ($a=0; $a < count($feld); $a++){
				if ($feld[$a][0] != "" || !empty($feld[$a][0])){				
				$room_allowed = new RoomAllowed($feld[$a][5], $feld[$a][4]);
				if ($a>0) echo ",";
				echo"{";
				echo"\"un\":\"".addslashes($feld[$a][0])."\",\"ui\":\"".$feld[$a][1]."\",";
				echo"\"up\":\"".$feld[$a][2]."\",\"a\":\"".$feld[$a][7]."\",\"us\":\"".$feld[$a][3]."\",\"si\":\"".$feld[$a][6]."\",\"st\":\"".$feld[$a][10]."\",\"ri\":\"".$feld[$a][4]."\",\"ra\":\"".$room_allowed->room_status."\"";
				echo",\"user_ip\": \"".addslashes(str_replace("@"," - ",$feld[$a][8]))."\"";
				echo",\"roomnames\": \"".$feld[$a][9]."\"";
				echo"}";
				}
			}			
			echo "]";
			
			if (is_array($roomarray)){
				echo ",\"all_empty_rooms\":[";
				for ($a=0; $a < count($roomarray); $a++){
					// who ist allowed to visit this room
					$room_allowed2 = new RoomAllowed($roomarray[$a][2], $roomarray[$a][0]);
					if ($a>0) echo ",";
					echo"{\"room_id\":\"".(addslashes($roomarray[$a][0]))."\",\"room_allowed\":\"".$room_allowed2->room_status."\",\"room\":\"".(addslashes($roomarray[$a][1]))."\"}";
				}
				echo "]";
			}

			// all rooms
			if (is_array($allrooms)){
				echo ",\"rooms\":[";
				for ($a=0; $a < count($allrooms); $a++){
					if ($a>0) $roomsjson .= ",";
					$roomsjson .= '{"ri":"'.(addslashes($allrooms[$a][0])).'","rn":"'.(addslashes($allrooms[$a][1])).'"}';
				}
				$roomsjson .= "]";
			}
			echo $roomsjson."}";				
			
			
			
		}else{
		
			// USER IS Normal
			echo"{\"userOnline\":[";
			for ($a=0; $a < count($feld); $a++){
				if ($feld[$a][0] != "" || !empty($feld[$a][0])){	
				$room_allowed = new RoomAllowed($feld[$a][5], $feld[$a][4]);
				if ($a>0) echo ",";
				echo"{";
				echo"\"un\":\"".addslashes($feld[$a][0])."\",\"ui\":\"".$feld[$a][1]."\",";
				echo"\"up\":\"".$feld[$a][2]."\",\"a\":\"".$feld[$a][7]."\",\"us\":\"".$feld[$a][3]."\",\"si\":\"".$feld[$a][6]."\",\"st\":\"".$feld[$a][10]."\",\"ri\":\"".$feld[$a][4]."\",\"ra\":\"".$room_allowed->room_status."\"";
				echo",\"roomnames\": \"".$feld[$a][9]."\"";
				echo"}";
				}
			}
			echo "]";
			
			if (is_array($roomarray)){
				echo ",\"all_empty_rooms\":[";
				for ($a=0; $a < count($roomarray); $a++){
					// who ist allowed to visit this room
					$room_allowed2 = new RoomAllowed($roomarray[$a][2], $roomarray[$a][0]);
					if ($a>0) echo ",";
					echo"{\"room_id\":\"".(addslashes($roomarray[$a][0]))."\",\"room_allowed\":\"".$room_allowed2->room_status."\",\"room\":\"".(addslashes($roomarray[$a][1]))."\"}";
				}
				echo "]";
			}

			// all rooms
			if (is_array($allrooms)){
				echo ",\"rooms\":[";
				for ($a=0; $a < count($allrooms)-1; $a++){
					if ($a>0) $roomsjson .= ",";
					$roomsjson .= '{"ri":"'.(addslashes($roomarray[$a][0])).'","rn":"'.(addslashes($roomarray[$a][1])).'"}';
				}
				$roomsjson .= "]";
			}
			echo $roomsjson."}";			
						
			
		
		}
		
	}
}