<?php
class login extends DbConectionMaker
{
	protected $user_application;
	public function __construct ($user_application=false, $username='', $gender=''){
	
		parent::__construct();
		if(session_id() == '') session_start();
		header('Cache-Control: no-store, no-cache, must-revalidate, pre-check=0, post-check=0, max-age=0');

		$this->user_application = $user_application;
		$genders = trim($this->cleantxt($_POST['gender']));
		if ($genders != 'n' and $genders != 'm' and $genders != 'f'){
			$genders = "n";
		}
		
		if (!$this->user_application){
			//header('content-type: application/json; charset=utf-8');
			$username = trim($this->cleantxt($_POST['username']));
			$gender = trim($this->cleantxt($_POST['gender']));
		}else{
			$this->configTabData2Session();
			$this->dbObj->sqlSet("delete FROM {$this->_prefix}messages where msg_timestamp < ".(date('U')-(1*3600*24)));
			$this->dbObj->sqlSet("delete FROM {$this->_prefix}blacklist where blacklist_time < ".date('U'));
		}

		if (empty($gender))$gender="n";
		
		// cookies are explicit duty
		if (!$this->user_application)
			if(!isset($_COOKIE[$this->_prefix.'cookie_test'])){ $this->errorMessage("cookie"); return false;}

		// checking for to many tries for login 
		if (!$this->user_application)
			if (!$this->loginCounter()) return false;

		// check mAx Online
		$countOnlineUser = $this->dbObj->sqlGet("select count(*) as online_count FROM my_useronline");
		if ($countOnlineUser[0][0] >= $_SESSION[$this->_prefix.'maxons'] ) {
			$this->errorMessage("roomfull"); 
			return false;
			exit();
		}
		
		// create new BlacklistChecker Object
		$blackListObj = new Blacklist($this->dbObj);
		
		// Is the curent user IP in zhe Blacklist or has the user browser an actual "black cookie"?
		if ($blackListObj->userInBlacklist()){
			setcookie("cookie_anzahl_logins_in_XX_sek",1);
			if (!$this->user_application) $this->errorMessage("blacklist"); 
			$blackListObj->killUserSession();
			if ($this->user_application);
			return false; 
			exit;
		}
		

		// delete all old datasets from the etchat_useronline table (session table)
		$this->dbObj->sqlSet("DELETE FROM {$this->_prefix}useronline WHERE onlinetimestamp < ".(date('U')-((4000/1000)*4)));

		// abort, if $username empty or to long
		if (empty($username) || strlen($username)>25) { $this->errorMessage("error:username"); return false; }
		
		// convert username with htmlspecialchars  >  preg_replace('/[\x00-\x1F]/', .... )   to prevent hacking over Live HTTP Headrs (since v307 beta 6)
		$username =  htmlspecialchars(str_replace("\\","/",preg_replace('/[\x00-\x1F]/', '', $username)), ENT_QUOTES, "UTF-8");
		
		// abort, if this username is occupied now
		if (!$this->user_application)
			if ($this->userInChatNow($username)) { $this->errorMessage("userinchatroom"); return false; }

		$user_exists = $this->dbObj->sqlGet("SELECT * FROM {$this->_prefix}user WHERE username = '".$username."' order by userpw DESC");

		// create new CheckerAndInserterObj Object
		$userCheckerAndInserterObj = new UserCreator($this->dbObj, $user_exists, $username, $_POST['pw'], $gender);
		
		//  Status 1 means that the loggining was sucessfull
		if ($userCheckerAndInserterObj->status==1) $this->messageOnEnter();
		else $this->errorMessage($userCheckerAndInserterObj->status);
	}

	private function loginCounter (){
		if(!isset($_COOKIE['cookie_last_login'])) {
			setcookie("cookie_last_login", date('U'));
			setcookie("cookie_anzahl_logins_in_XX_sek",1);
			return true;
		}
		else{
			if (date('U')-$_COOKIE['cookie_last_login'] < 180) {
				$c_anzahl_logins=$_COOKIE['cookie_anzahl_logins_in_XX_sek']+1;
				setcookie("cookie_anzahl_logins_in_XX_sek", $c_anzahl_logins);
				
				if ($_COOKIE['cookie_anzahl_logins_in_XX_sek']>($this->_limit_logins_in_three_minutes-1)) {
				setcookie("cookie_last_login", date('U'));
				$this->errorMessage("problem");
				return false;
				}
			else return true;
			}
			else {
				setcookie("cookie_last_login", date('U'));
				setcookie("cookie_anzahl_logins_in_XX_sek", 1);
				return true;
			}
		}
	}
	

	private function userInChatNow($user){
		if(is_array($this->dbObj->sqlGet("SELECT username FROM {$this->_prefix}useronline, {$this->_prefix}user WHERE username = '".$user."' AND user_id = onlineuser_fid LIMIT 1"))){
			setcookie("cookie_anzahl_logins_in_XX_sek",1);
			return true;
		}
		else return false;
	}

	private function errorMessage($message){
		echo $message; 
		$this->dbObj->close();
		return false;
	}
	
	private function messageOnEnter(){
		// Instert Well MSG + Create Status SEssion's
		
		// if invisible mode on entrance
		if (!empty($_POST['status_invisible']) && ($_SESSION["my_mode"]=='1')){ 
			$_SESSION[$this->_prefix.'invisible_on_enter'] = true;
		}else{
			$_SESSION[$this->_prefix.'invisible_on_enter'] = false;
		}
		$this->insert_wellcom();
		$this->dbObj->close();
		if (!$this->user_application) echo "1";
		else header('Location: ./Chat');
		return true;
	}
	
	private function insert_wellcom(){

		if (!empty($_POST['status_invisible']) && $_SESSION["my_mode"]=="1" ){
			$_SESSION[$this->_prefix.'userstatus']="status_invisible";
			$sysMessObj = new SysMessage($this->dbObj,"", "0", "0" );
			$_SESSION[$this->_prefix.'my_first_mess_id'] = $sysMessObj->lastInsertedId;	
		}else{
			$sysMessObj = new SysMessage($this->dbObj, "وارد چت روم شد " . " <b>".$_SESSION[$this->_prefix.'username']."</b> ", 1, "-1" );
			$_SESSION[$this->_prefix.'my_first_mess_id'] = $sysMessObj->lastInsertedId;	
		}
	}	
}