<?php
	if(session_id() == '') session_start();
	$prourl = "http://".$_SERVER['SERVER_NAME']."/profile/";
	require_once('php/config.php');
	if (isset($_GET['id']) and is_numeric($_GET['id'])){
			$_GET['id'] = cleantxt($_GET['id']);
			$pro_options = connect_etchat_vprofile($_GET['id']);
			$new_options = connect_etchat_getresult($_GET['id']);

			if (is_array($pro_options) and is_array($new_options)){
				// IF USER IS avalible
				// Get Result From Etchat
				$options = array(
					"p_username" => $new_options['username'],
					"p_usermode" => $new_options['userprivilegien'],
					"p_email" => $pro_options['email'],
					"p_tell" => $pro_options['tell'],
					"p_birthdata" => $pro_options['birthdate'],
					"p_sex" => $new_options['usersex'],
					"p_country" => $pro_options['city'],
					"p_education" => $pro_options['tahsilat'],
					"p_aboutme" => $pro_options['aboutme']
				);
				//---
			}else{
		
				// IF USER IS Guest || 
				if (is_array($new_options) ){
						$options = array(
							"p_username" => $new_options['username'],
							"p_usermode" => $new_options['userprivilegien'],
							"p_email" => "",
							"p_tell" => "",
							"p_birthdata" => "",
							"p_sex" => $new_options['usersex'],
							"p_country" => "",
							"p_education" => "",
							"p_aboutme" => ""
						);
				
				}else{
					header("location: $prourl");
				}
				
				
			}
	}else{
		header("location: $prourl");
	}
	
	foreach ($options as $i => $value) {
		if ($value === "") $options[$i] = 'وارد نشده';
	}


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $options['p_username'];?> پروفایل</title>
<link href="<?php echo 'http://'.$_SERVER['SERVER_NAME'].'/profile/css/pro.css';?>" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="<?php echo 'http://'.$_SERVER['SERVER_NAME'].'/profile/css/jquery.fancybox-1.3.4.css';?>" type="text/css" media="screen" />
<script src="<?php echo "http://".$_SERVER["SERVER_NAME"]."/visit/"; ?>"  type="text/javascript"></script>
</head>
<body>
<div id="content">
  <div id="mymenu">
          <nav>
            <ul class="fancyNav">
                <li id="home"><a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'].'/';?>" class="homeIcon">صفحه اصلی</a></li>
				<?php
					if (isset($_SESSION['pro_username']) and isset($_SESSION['pro_logged']) ){
					$logout_link = "http://".$_SERVER['SERVER_NAME']."/profile/edit/";
					echo '<li id="exit"><a href="'.$logout_link.'">ویرایش مشخصات</a></li>';
					}else{
					$pro_link = "http://".$_SERVER['SERVER_NAME']."/profile/";
					echo '<li id="exit"><a href="'.$pro_link.'">پروفایل من</a></li>';
					}
				?>
                <li id="services"><a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'].'/ranks';?>">امتیازات</a></li>
                <li id="contact"><a href="<?php echo 'http://'.$_SERVER['SERVER_NAME'].'/contact';?>">تماس با ما</a></li>
				<?php
					if (isset($_SESSION['pro_username']) and isset($_SESSION['pro_logged']) ){
					$logout_link = "http://".$_SERVER['SERVER_NAME']."/profile/logout/";
					echo '<li id="exit"><a href="'.$logout_link.'">خـروج</a></li>';
					}
				?>
            </ul>
        </nav>
  </div>
  <div id="main">
    <div id="left">
      <div id="avatar">
	  <?php
	  // GET USER AVATAR
	  $path = $_SERVER['DOCUMENT_ROOT'];
	  $usr_avatar_name = md5("full".$_GET['id'].$options['p_username']).".jpg";
	  $user_avatar_url = "$path/avatars/$usr_avatar_name";
	  if (file_exists($user_avatar_url)){
	  $avatar_img_url = "http://".$_SERVER['SERVER_NAME']."/avatars/$usr_avatar_name";
	  }else{
	  $avatar_img_url = "http://".$_SERVER['SERVER_NAME']."/profile/img/nopic.png";
	  } 
	  ?>
      <a id="myavatar" href="<?php echo $avatar_img_url."?".rand(1000,9999); ?>"><img src="<?php echo $avatar_img_url."?".rand(1000,9999); ?>" width="180" height="200" border="0"></a>


      </div>
      <div id="username"><span  class="label label-2" ><?php echo $options['p_username'];?></span></div>
      <div style="height:30px;margin-top:5px;">
	  
		<?php
		$myusermod = $options['p_usermode'];
		$xml_usericon = 'http://'.$_SERVER['SERVER_NAME'] .'/theme/usertypes/'.$myusermod.'.png';
		echo '<img src="'.$xml_usericon.'">';
		?>
	</div>
    </div>
    
    <div id="right">
    
		<div id="info"  style="direction:rtl;"> 
       <span><img src="<?php echo 'http://'.$_SERVER['SERVER_NAME'].'/profile/img/';?>customers.png" border="0"> نـام کـاربری : </span>
         <span style="color:#999999"> <?php echo $options['p_username'];?> </span>
       
       </div>

 		<div id="info"  style="direction:rtl;">  
       <span> <img src="<?php echo 'http://'.$_SERVER['SERVER_NAME'].'/profile/img/';?>bookmark.png" border="0">  جنسیت : </span>
         <span style="color:#999999">
		 <?php 
		 switch ($options['p_sex']) {
			case 'm':
			echo "مرد";
			break;
			case 'f':
			echo "زن";
			break;
			case 'n':
			echo "نا مشخص";
			break;
		  }
		 ?>

		 </span>
      
       </div>   
       
		<div id="info"  style="direction:rtl;"> 
       <span><img src="<?php echo 'http://'.$_SERVER['SERVER_NAME'].'/profile/img/';?>date.png" border="0"> تاریخ تولد : </span>
         <span style="color:#999999"> <?php echo $options['p_birthdata'];?> </span>
       
       </div>

		<div id="info" style="direction:rtl;"> 
            
            <span><img src="<?php echo 'http://'.$_SERVER['SERVER_NAME'].'/profile/img/';?>email.png" border="0"> ایمیل : </span>
            <span style="color:#999999"> <?php echo $options['p_email'];?> </span>
       </div>
       
 		<div id="info"  style="direction:rtl;"> 
       <span> <img src="<?php echo 'http://'.$_SERVER['SERVER_NAME'].'/profile/img/';?>phone.png" border="0"> شماره موبایل : </span>
         <span style="color:#999999"> <?php echo $options['p_tell']; ?> </span>
      
       </div>      


 		<div id="info"  style="direction:rtl;"> 
       <span>  <img src="<?php echo 'http://'.$_SERVER['SERVER_NAME'].'/profile/img/';?>home.png" border="0">   شهر : </span>
         <span style="color:#999999"> <?php echo $options['p_country']; ?> </span>
      
       </div>      

 		<div id="info"  style="direction:rtl;"> 
       <span>  <img src="<?php echo 'http://'.$_SERVER['SERVER_NAME'].'/profile/img/';?>old-versions.png" border="0"> تحصیلات : </span>
         <span style="color:#999999"> <?php echo $options['p_education']; ?> </span>
      
       </div>             

 		<div id="info"  style="direction:rtl;"> 
       <span>  <img src="<?php echo 'http://'.$_SERVER['SERVER_NAME'].'/profile/img/';?>consulting.png" border="0"> درباره من : </span>
      
         <span style="color:#999999"> <?php echo $options['p_aboutme']; ?> </span>
       
       </div>     
                         
    </div>
  </div>

</div>

<script type="text/javascript" src="<?php echo 'http://'.$_SERVER['SERVER_NAME'].'/profile/js/jquery.min.js';?>"></script>
<script type="text/javascript" src="<?php echo 'http://'.$_SERVER['SERVER_NAME'].'/profile/js/jquery.fancybox-1.3.4.pack.js';?>"></script>
<script type="text/javascript" src="<?php echo 'http://'.$_SERVER['SERVER_NAME'].'/profile/js/jquery.easing-1.3.pack.js';?>"></script>
<script src="<?php echo "http://".$_SERVER["SERVER_NAME"]."/profile/js/ads.js"; ?>"  type="text/javascript"></script>
</body>
</html>
